<?php
/*
 * Created by Pixel-Mafia
 * www.pixel-mafia.com
*/

add_action('wp_ajax_photobooth_ajax_query_posts', 'photobooth_ajax_query_posts');
add_action('wp_ajax_nopriv_photobooth_ajax_query_posts', 'photobooth_ajax_query_posts');
function photobooth_ajax_query_posts()
{
    $args = photobooth_objectToArray(json_decode(stripslashes(sanitize_text_field($_POST['photobooth_ajax_query_posts']))));

	if (function_exists('icl_object_id')) {
		global $sitepress;
		$sitepress->switch_lang($args['lang']);
	}

	if ($args['output_template'] == 'albums_listing_template' && $args['terms'] !== '') {
		$selected_categories = $args['terms'];
		$post_type_terms = array();
		if (isset($selected_categories) && strlen($selected_categories) > 0) {
			$post_type_terms = explode(",", $selected_categories);
		}

		$args['suppress_filters'] = 0;

		$args['tax_query'] = array(
			array(
				'taxonomy' => 'albumscat',
				'field' => 'id',
				'terms' => $post_type_terms
			)
		);
	}

	query_posts($args);
	$albums_count = 0;

    if (have_posts()) {
        while (have_posts()) {
            the_post();
			# Albums Listing
			if ($args['output_template'] == 'albums_listing_template') {
				$albums_count++;
				if ($albums_count > 5) {
					$albums_count = 1;
				}
				$img_width = 915;
				$img_height = 600;
				$galCateg = '';
				$new_term_list = get_the_terms(get_the_id(), "albumscat");
                if (is_array($new_term_list)) {
                    foreach ($new_term_list as $term) {
                        $tempname = strtr($term->name, array(
                            ' ' => '-',
                        ));
						$galCateg .= '<a href="'.get_term_link($term->slug, "albumscat").'">' . $tempname . '</a> / ';
                    }
                } else {
                    $galCateg = 'Uncategorized  ';
                }
				$galCateg = substr($galCateg, 0, -2);
				
				$html = '
				<div class="photobooth_album_post_wrapper photobooth_album_post_loading album_item_'. $albums_count .'" id="post-' . get_the_ID() . '">
					<div class="photobooth_album_post_inner">
						<div class="photobooth_album_image">
							<a href="' . get_permalink() . '" class="photobooth_image_fader">
								<img class="photobooth_stand_fi" src="' . aq_resize(photobooth_get_featured_image_url(), $img_width, $img_height, true, true, true) . '" alt="'. get_the_title() .'" />
							</a>
						</div>
						<div class="photobooth_album_content">
							<a class="notextdecor" href="' . get_permalink() . '"><h5 class="innertitle entry-title">' . get_the_title() . '</h5></a>
							<div class="photobooth_albums_categories">
								'. $galCateg .'
							</div>
						</div>
					</div>
				</div>
				';
				echo photobooth_output($html);
			}
			
            # Grid Blog Module
            if ($args['output_template'] == 'blog_grid_template') {
				$photobooth_pf_args = array(
					'output_template' => 'blog_grid',
					'grid_img_width' => $args['thmb_width'],
					'grid_img_height' => $args['thmb_height']
				);
				
				$html = '
				<div class="photobooth_grid_post_wrapper photobooth_grid_post_loading" id="post-' . get_the_ID() . '">
					<div class="photobooth_grid_post_inner">
						' . photobooth_get_post_formats($photobooth_pf_args) . '
						<div class="photobooth_grid_post_content">
							<div class="photobooth_grid_post_title">
								<a class="notextdecor" href="' . get_permalink() . '"><h5 class="innertitle entry-title">' . get_the_title() . '</h5></a>
							</div>
							<div class="photobooth_grid_post_meta photobooth_meta">
								<div>' . get_the_date() . '</div>
								<div>' . get_the_author_posts_link() . '</div>';
				
						$categories = get_the_category();
						$separator = ', ';
						if (!empty($categories)) {
							$html .= '
								<div>';
							foreach ($categories as $category) {
								$html .= '<a href="' . esc_url(get_category_link($category->term_id)) . '" alt="' . esc_attr(sprintf(__('View all posts in %s', 'photobooth'), $category->name)) . '">' . esc_html($category->name) . '</a>' . $separator;
							}
							$html = trim($html, $separator);
							$html .= '
								</div>';
						}
				
						$html .= '
							</div>
							<div class="photobooth_excerpt">
								' . get_the_excerpt() . '
							</div>
						</div>
					</div>
				</div>
				';
				echo photobooth_output($html);
            }

        }
        wp_reset_query();
    }

    die();
}

# Reset All Settings
add_action('wp_ajax_photobooth_reset_all_settings', 'photobooth_reset_all_settings');
function photobooth_reset_all_settings()
{
	if (!current_user_can('manage_options')) {
        wp_die(esc_html__('You do not have permissions to access this page.', 'photobooth'));
    }
    
	remove_theme_mods();
	
	die(esc_html__('Done!', 'photobooth'));
}