<?php
/*
 * Created by Pixel-Mafia
 * www.pixel-mafia.com
*/

$photobooth_customizer_default_values = array(
    'logo_position' => 'logo_left',
    'header_transparent' => 'disabled',
    'header_fw' => true,
    'header_bg_image' => get_template_directory_uri() . '/img/null.png',
    'logo_type' => 'image_logo',
    'logo_image' => get_template_directory_uri() . '/img/logo-black.png',
    'logo_image_transparent' => get_template_directory_uri() . '/img/logo-white.png',
    'logo_retina' => true,
    'logo_text_caption' => 'Text Logo',
    'logo_text_font' => 'Roboto',
    'logo_text_size' => '24',
    'logo_text_weight' => '700',
    'logo_text_style_uppercase' => true,
    'logo_text_style_italic' => false,
    'logo_padding_top' => '32',
    'logo_padding_bottom' => '40',
    'header_menu_font_family' => 'Poppins',
    'header_menu_font_size' => '13',
    'header_menu_font_weight' => '300',
    'header_menu_uppercase' => true,
    'header_menu_italic' => false,
    'content_layout' => 'clean',
    'photobooth_pingbacks' => 'on',
    'preloader_state' => 'on',
    'footer_padding_top' => '13',
    'footer_padding_bottom' => '13',
    'footer_copyright_text' => esc_attr__('Copyright &copy; 2017 Photobooth. All Rights Reserved.', 'photobooth'),
    'sidebar_position' => 'photobooth_right_sidebar',
    'footer_widgets_status' => 'footer_widgets_off',
    'footer_widgets_in_row' => '4',
    'footer_widgets_padding_top' => '40',
    'footer_widgets_padding_bottom' => '0',
    'main_font_family' => 'Roboto',
    'main_font_size' => '14',
    'main_line_height' => '24',
    'main_font_weight' => '300',
    'body_bg_color' => '#ffffff',
    'boxed_bg_color' => '#edeef0',
    'color_main' => '#bc9774',
    'color_content' => '#2d2d2d',
    'color_headings' => '#000000',
    'header_submenu_bg_color' => '#000000',
    'header_bg_color' => '#ffffff',
    'logo_text_color' => '#ffffff',
    'logo_text_hover' => '#cb8c5d',
    'logo_text_color_transparent_header' => '#ffffff',
    'logo_text_hover_transparent_header' => '#cb8c5d',
    'header_links_color' => '#000000',
    'header_links_hover_color' => '#cb8c5d',
    'header_links_color_transparent_header' => '#ffffff',
    'header_sub_menu_spacer_color' => '#3f3e3e',
    'footer_headings_color' => '#000000',
    'footer_bg_color' => '#fbfbfb',
    'footer_copyright_bgcolor' => '#333333',
    'footer_copyright_color' => '#bdbdbd',
    'footer_text_color' => '#2d2d2d',
    'footer_links_color' => '#000000',
    'footer_links_hover_color' => '#888888',
    'featured_posts_status' => 'enabled',
    'featured_posts_orderby' => 'rand',
    'featured_posts_numberposts' => '2',
    'featured_posts_fimage_status' => 'show',
    'featured_posts_meta_status' => 'show',
    'featured_posts_excerpt_status' => 'show',
    '404_bg_image' => get_template_directory_uri() . '/img/null.png',
    '404_text_color' => '#ffffff',
    'protected_bg_image' => get_template_directory_uri() . '/img/null.png',
    'protected_text_color' => '#ffffff',
    'cs_bg_image' => get_template_directory_uri() . '/img/null.png',
    'cs_text_color' => '#ffffff',
    'photobooth_code_before_head_val' => '',
	'default_overlay_state' => 'show',

	'photobooth_soc_facebook' => '',
    'photobooth_soc_twitter' => '',
    'photobooth_soc_linkedin' => '',
    'photobooth_soc_youtube' => '',
    'photobooth_soc_instagram' => '',
    'photobooth_soc_pinterest' => '',
    'photobooth_soc_tumblr' => '',
    'photobooth_soc_flickr' => '',
    'photobooth_soc_vk' => '',
    'photobooth_soc_dribbble' => '',
    'photobooth_soc_vimeo' => '',
	'photobooth_soc_500px' => '',

    'shop_sidebar_position' => 'photobooth_right_sidebar',
    'shop_sale_label' => 'on',
    'cart_in_header' => 'show',
    'shop_lightbox' => 'on',
    'shop_zoom' => 'on',
    'shop_slider' => 'on',

    'shop_color_message' => '#bc9774',
    'shop_color_info' => '#bc9774',
    'shop_color_error' => '#bc9774',
    'shop_color_required' => '#bc9774',
    'shop_color_remove' => '#bc9774'
);

# Register Customizer
add_action('customize_register', 'photobooth_customizer_register');
function photobooth_customizer_register($wp_customize)
{
	global $photobooth_customizer_default_values;

    ###################################################
    ############# Header Settings Section #############
    ###################################################
    $wp_customize->add_section('photobooth_header_settings',
        array(
            'title' => esc_attr__('Header Settings', 'photobooth')
        )
    );

    # Logo Position
    $wp_setting_name = 'logo_position';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Logo Position', 'photobooth'),
            'section' => 'photobooth_header_settings',
            'settings' => $wp_setting_name,
            'type' => 'select',
            'choices' => array('logo_left' => 'Left', 'logo_center' => 'Center', 'logo_right' => 'Right'),
        )
    ));

    # Transparent Header
    $wp_setting_name = 'header_transparent';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Transparent Header', 'photobooth'),
            'section' => 'photobooth_header_settings',
            'settings' => $wp_setting_name,
            'type' => 'select',
            'choices' => array('disabled' => 'Disabled', 'enabled' => 'Enabled'),
        )
    ));

    # Fullwidth Header
    $wp_setting_name = 'header_fw';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Fullwidth Header', 'photobooth'),
            'section' => 'photobooth_header_settings',
            'settings' => $wp_setting_name,
            'type' => 'checkbox',
        )
    ));

    # Header Background Image
    $wp_setting_name = 'header_bg_image';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Image_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Header Background Image', 'photobooth'),
            'section' => 'photobooth_header_settings',
            'settings' => $wp_setting_name,
        )
    ));

    # Logo Type (Text or Image)
    $wp_setting_name = 'logo_type';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Logo Type', 'photobooth'),
            'section' => 'photobooth_header_settings',
            'settings' => $wp_setting_name,
            'type' => 'select',
            'choices' => array('image_logo' => 'Image', 'text_logo' => 'Text'),
        )
    ));

    # Logo (Selected Image)
    $wp_setting_name = 'logo_image';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Image_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Logo Image', 'photobooth'),
            'section' => 'photobooth_header_settings',
            'description' => '<i class="photobooth_dependency_customizer" data-dependency-id="logo_type" data-dependency-val="image_logo"></i>',
            'settings' => $wp_setting_name,
        )
    ));

    # Logo (Selected Image)
    $wp_setting_name = 'logo_image_transparent';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Image_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Logo Image (Transparent Header)', 'photobooth'),
            'section' => 'photobooth_header_settings',
            'description' => '<i class="photobooth_dependency_customizer" data-dependency-id="logo_type" data-dependency-val="image_logo"></i>',
            'settings' => $wp_setting_name,
        )
    ));

    # Logo Retina
    $wp_setting_name = 'logo_retina';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Logo Retina', 'photobooth'),
            'section' => 'photobooth_header_settings',
            'description' => '<i class="photobooth_dependency_customizer" data-dependency-id="logo_type" data-dependency-val="image_logo"></i>By activating this option you must use an image with 2х size more than you wish to show.',
            'settings' => $wp_setting_name,
            'type' => 'checkbox',
        )
    ));

    # Logo Text Caption
    $wp_setting_name = 'logo_text_caption';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Logo Text', 'photobooth'),
            'section' => 'photobooth_header_settings',
            'description' => '<i class="photobooth_dependency_customizer" data-dependency-id="logo_type" data-dependency-val="text_logo"></i>',
            'settings' => $wp_setting_name,
        )
    ));

    # Logo Text Font
    $wp_setting_name = 'logo_text_font';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Logo Font', 'photobooth'),
            'section' => 'photobooth_header_settings',
            'settings' => $wp_setting_name,
            'type' => 'select',
            'description' => '<i class="photobooth_dependency_customizer" data-dependency-id="logo_type" data-dependency-val="text_logo"></i>',
            'choices' => photobooth_get_all_fonts_name(),
        )
    ));

    # Logo Text Size
    $wp_setting_name = 'logo_text_size';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Logo Size, px', 'photobooth'),
            'section' => 'photobooth_header_settings',
            'description' => '<i class="photobooth_dependency_customizer" data-dependency-id="logo_type" data-dependency-val="text_logo"></i>',
            'settings' => $wp_setting_name,
        )
    ));

    # Logo Text Weight
    $wp_setting_name = 'logo_text_weight';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Logo Font Weight', 'photobooth'),
            'section' => 'photobooth_header_settings',
            'settings' => $wp_setting_name,
            'description' => '<i class="photobooth_dependency_customizer" data-dependency-id="logo_type" data-dependency-val="text_logo"></i>Please keep in mind that most fonts do not support such exotic thicknesses as the 100. The most common values: 300, 400, 600, 700.',
            'type' => 'select',
            'choices' => array('100' => '100', '200' => '200', '300' => '300', '400' => '400', '500' => '500', '600' => '600', '700' => '700', '800' => '800', '900' => '900'),
        )
    ));

    # Logo Text Style Uppercase
    $wp_setting_name = 'logo_text_style_uppercase';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Logo Uppercase', 'photobooth'),
            'section' => 'photobooth_header_settings',
            'settings' => $wp_setting_name,
            'type' => 'checkbox',
            'description' => '<i class="photobooth_dependency_customizer" data-dependency-id="logo_type" data-dependency-val="text_logo"></i>',
        )
    ));

    # Logo Text Style Italic
    $wp_setting_name = 'logo_text_style_italic';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Logo Italic', 'photobooth'),
            'section' => 'photobooth_header_settings',
            'settings' => $wp_setting_name,
            'description' => '<i class="photobooth_dependency_customizer" data-dependency-id="logo_type" data-dependency-val="text_logo"></i>',
            'type' => 'checkbox',
        )
    ));

    # Header Padding Top
    $wp_setting_name = 'logo_padding_top';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Logo Padding Top, px', 'photobooth'),
            'section' => 'photobooth_header_settings',
            'settings' => $wp_setting_name,
        )
    ));

    # Header Padding Bottom
    $wp_setting_name = 'logo_padding_bottom';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Logo Padding Bottom, px', 'photobooth'),
            'section' => 'photobooth_header_settings',
            'settings' => $wp_setting_name,
        )
    ));

    # Header Menu Font Family
    $wp_setting_name = 'header_menu_font_family';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Header Menu Font Family', 'photobooth'),
            'section' => 'photobooth_header_settings',
            'settings' => $wp_setting_name,
            'type' => 'select',
            'choices' => photobooth_get_all_fonts_name(),
        )
    ));

    # Header Menu Font-Size
    $wp_setting_name = 'header_menu_font_size';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Header Menu Font-Size, px', 'photobooth'),
            'section' => 'photobooth_header_settings',
            'settings' => $wp_setting_name,
        )
    ));

    # Header Menu Weight
    $wp_setting_name = 'header_menu_font_weight';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Header Menu Font Weight', 'photobooth'),
            'section' => 'photobooth_header_settings',
            'settings' => $wp_setting_name,
            'description' => 'Please keep in mind that most fonts do not support such exotic thicknesses as the 100. The most common values: 300, 400, 600, 700.',
            'type' => 'select',
            'choices' => array('100' => '100', '200' => '200', '300' => '300', '400' => '400', '500' => '500', '600' => '600', '700' => '700', '800' => '800', '900' => '900'),
        )
    ));

    # Header Menu Uppercase
    $wp_setting_name = 'header_menu_uppercase';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Header Menu Uppercase', 'photobooth'),
            'section' => 'photobooth_header_settings',
            'settings' => $wp_setting_name,
            'type' => 'checkbox',
        )
    ));

    # Header Menu Italic
    $wp_setting_name = 'header_menu_italic';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Header Menu Italic', 'photobooth'),
            'section' => 'photobooth_header_settings',
            'settings' => $wp_setting_name,
            'type' => 'checkbox',
        )
    ));

    ###################################################
    ############ Content Settings Section #############
    ###################################################
    $wp_customize->add_section('photobooth_content_settings',
        array(
            'title' => esc_attr__('Content Settings', 'photobooth')
        )
    );

    # Content Layout
    $wp_setting_name = 'content_layout';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Content Layout', 'photobooth'),
            'section' => 'photobooth_content_settings',
            'settings' => $wp_setting_name,
            'type' => 'select',
            'choices' => array('clean' => 'Clean', 'boxed' => 'Boxed'),
        )
    ));
    $wp_setting_name = 'photobooth_pingbacks';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Pingbacks and Trackbacks', 'photobooth'),
            'section' => 'photobooth_content_settings',
            'settings' => $wp_setting_name,
            'type' => 'select',
            'choices' => array('on' => 'On', 'off' => 'Off'),
        )
    ));
    $wp_setting_name = 'default_overlay_state';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Galleries Overlay State', 'photobooth'),
            'section' => 'photobooth_content_settings',
            'settings' => $wp_setting_name,
            'type' => 'select',
            'choices' => array('show' => 'Show', 'hide' => 'Hide'),
        )
    ));


    ###################################################
    ########### Preloader Settings Section ############
    ###################################################
    $wp_customize->add_section('photobooth_preloader_settings',
        array(
            'title' => esc_attr__('Preloader Settings', 'photobooth')
        )
    );

    # Preloader On Off
    $wp_setting_name = 'preloader_state';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Content Layout', 'photobooth'),
            'section' => 'photobooth_preloader_settings',
            'settings' => $wp_setting_name,
            'type' => 'select',
            'choices' => array('on' => 'On', 'off' => 'Off'),
        )
    ));



    ###################################################
    ############## Footer Settings Section ############
    ###################################################
    $wp_customize->add_section('photobooth_footer_settings',
        array(
            'title' => esc_attr__('Footer Settings', 'photobooth')
        )
    );

    # Footer Padding Top
    $wp_setting_name = 'footer_padding_top';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Footer Padding Top, px', 'photobooth'),
            'section' => 'photobooth_footer_settings',
            'settings' => $wp_setting_name,
        )
    ));

    # Footer Padding Bottom
    $wp_setting_name = 'footer_padding_bottom';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Footer Padding Bottom, px', 'photobooth'),
            'section' => 'photobooth_footer_settings',
            'settings' => $wp_setting_name,
        )
    ));

    # Footer Copyright Text
    $wp_setting_name = 'footer_copyright_text';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'wp_specialchars_decode'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Footer Copyright Text', 'photobooth'),
            'section' => 'photobooth_footer_settings',
            'settings' => $wp_setting_name,
        )
    ));

    ###################################################
    ################# Sidebars Section ################
    ###################################################
    $wp_customize->add_section('photobooth_sidebars_settings',
        array(
            'title' => esc_attr__('Sidebars', 'photobooth')
        )
    );

    # Sidebar Position
    $wp_setting_name = 'sidebar_position';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Sidebar Position', 'photobooth'),
            'section' => 'photobooth_sidebars_settings',
            'settings' => $wp_setting_name,
            'type' => 'select',
            'choices' => array('photobooth_left_sidebar' => 'Left', 'photobooth_right_sidebar' => 'Right', 'photobooth_no_sidebar' => 'None'),
        )
    ));

    # Footer Widgets
    $wp_setting_name = 'footer_widgets_status';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Footer Widgets', 'photobooth'),
            'section' => 'photobooth_sidebars_settings',
            'settings' => $wp_setting_name,
            'type' => 'select',
            'choices' => array('footer_widgets_on' => 'Enabled', 'footer_widgets_off' => 'Disabled'),
        )
    ));

    # Footer Widgets in Row
    $wp_setting_name = 'footer_widgets_in_row';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Footer Widgets in Row', 'photobooth'),
            'section' => 'photobooth_sidebars_settings',
            'settings' => $wp_setting_name,
            'type' => 'select',
            'choices' => array('3' => '3', '4' => '4'),
        )
    ));

    # Footer Widgets Padding Top
    $wp_setting_name = 'footer_widgets_padding_top';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Footer Widgets Padding Top, px', 'photobooth'),
            'section' => 'photobooth_footer_settings',
            'settings' => $wp_setting_name,
        )
    ));

    # Footer Widgets Padding Bottom
    $wp_setting_name = 'footer_widgets_padding_bottom';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Footer Widgets Padding Bottom, px', 'photobooth'),
            'section' => 'photobooth_footer_settings',
            'settings' => $wp_setting_name,
        )
    ));

    ###################################################
    ############### Typography Section ################
    ###################################################
    $wp_customize->add_section('photobooth_typography_settings',
        array(
            'title' => esc_attr__('Typography', 'photobooth')
        )
    );

    # Main Font Family
    $wp_setting_name = 'main_font_family';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Main Font Family', 'photobooth'),
            'section' => 'photobooth_typography_settings',
            'settings' => $wp_setting_name,
            'type' => 'select',
            'choices' => photobooth_get_all_fonts_name(),
        )
    ));

    # Main Font-Size
    $wp_setting_name = 'main_font_size';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Main Font-Size, px', 'photobooth'),
            'section' => 'photobooth_typography_settings',
            'settings' => $wp_setting_name,
        )
    ));

    # Main Line-Height
    $wp_setting_name = 'main_line_height';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Main Line-Height, px', 'photobooth'),
            'section' => 'photobooth_typography_settings',
            'settings' => $wp_setting_name,
        )
    ));

    # Main Font Weight
    $wp_setting_name = 'main_font_weight';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Main Font Weight', 'photobooth'),
            'section' => 'photobooth_typography_settings',
            'settings' => $wp_setting_name,
            'description' => 'Please keep in mind that most fonts do not support such exotic thicknesses as the 100. The most common values: 300, 400, 600, 700.',
            'type' => 'select',
            'choices' => array('100' => '100', '200' => '200', '300' => '300', '400' => '400', '500' => '500', '600' => '600', '700' => '700', '800' => '800', '900' => '900'),
        )
    ));

    ###################################################
    ############## Color Settings Section #############
    ###################################################
    $wp_customize->add_section('photobooth_color_settings',
        array(
            'title' => esc_attr__('Color Settings', 'photobooth')
        )
    );

    # Content Background Color
    $wp_setting_name = 'body_bg_color';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Color_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Content Background', 'photobooth'),
            'section' => 'photobooth_color_settings',
            'settings' => $wp_setting_name,
        )
    ));

    # Boxed Background Color
    $wp_setting_name = 'boxed_bg_color';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Color_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Boxed Background', 'photobooth'),
            'section' => 'photobooth_color_settings',
            'settings' => $wp_setting_name,
        )
    ));

    # Main Theme Color
    $wp_setting_name = 'color_main';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Color_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Theme Color', 'photobooth'),
            'section' => 'photobooth_color_settings',
            'settings' => $wp_setting_name,
        )
    ));

    # Content Color
    $wp_setting_name = 'color_content';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Color_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Content Color', 'photobooth'),
            'section' => 'photobooth_color_settings',
            'settings' => $wp_setting_name,
        )
    ));

    # Headings Color
    $wp_setting_name = 'color_headings';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Color_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Headings Color', 'photobooth'),
            'section' => 'photobooth_color_settings',
            'settings' => $wp_setting_name,
        )
    ));

    # Header Background Color
    $wp_setting_name = 'header_bg_color';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Color_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Header Background', 'photobooth'),
            'section' => 'photobooth_color_settings',
            'settings' => $wp_setting_name,
        )
    ));

    # Logo Text Color
    $wp_setting_name = 'logo_text_color';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Color_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Text Logo', 'photobooth'),
            'section' => 'photobooth_color_settings',
            'settings' => $wp_setting_name,
        )
    ));

    # Logo Text Hover Color
    $wp_setting_name = 'logo_text_hover';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Color_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Text Logo Hover', 'photobooth'),
            'section' => 'photobooth_color_settings',
            'settings' => $wp_setting_name,
        )
    ));

    # Logo Text Color (Transparent Header)
    $wp_setting_name = 'logo_text_color_transparent_header';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Color_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Text Logo (Transparent Header)', 'photobooth'),
            'section' => 'photobooth_color_settings',
            'settings' => $wp_setting_name,
        )
    ));

    # Logo Text Hover Color (Transparent Header)
    $wp_setting_name = 'logo_text_hover_transparent_header';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Color_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Text Logo Hover (Transparent Header)', 'photobooth'),
            'section' => 'photobooth_color_settings',
            'settings' => $wp_setting_name,
        )
    ));

    # Header Links Color
    $wp_setting_name = 'header_links_color';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Color_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Header Menu', 'photobooth'),
            'section' => 'photobooth_color_settings',
            'settings' => $wp_setting_name,
        )
    ));

    # Header Links Hover Color
    $wp_setting_name = 'header_links_hover_color';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Color_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Header Menu Hover', 'photobooth'),
            'section' => 'photobooth_color_settings',
            'settings' => $wp_setting_name,
        )
    ));

    # Header Links Color (Transparent Header)
    $wp_setting_name = 'header_links_color_transparent_header';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Color_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Header Menu (Transparent Header)', 'photobooth'),
            'section' => 'photobooth_color_settings',
            'settings' => $wp_setting_name,
        )
    ));

    # Header Sub-menu Background Color
    $wp_setting_name = 'header_submenu_bg_color';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Color_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Header Sub-menu Background Color', 'photobooth'),
            'section' => 'photobooth_color_settings',
            'settings' => $wp_setting_name,
        )
    ));

    # Header Sub-Menu Spacer Color
    $wp_setting_name = 'header_sub_menu_spacer_color';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Color_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Header Sub-Menu Spacer', 'photobooth'),
            'section' => 'photobooth_color_settings',
            'settings' => $wp_setting_name,
        )
    ));

    # Footer Headings Color
    $wp_setting_name = 'footer_headings_color';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Color_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Footer Headings', 'photobooth'),
            'section' => 'photobooth_color_settings',
            'settings' => $wp_setting_name,
        )
    ));

    # Footer Background Color
    $wp_setting_name = 'footer_bg_color';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Color_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Footer Background', 'photobooth'),
            'section' => 'photobooth_color_settings',
            'settings' => $wp_setting_name,
        )
    ));

    # Footer Copyright
    $wp_setting_name = 'footer_copyright_bgcolor';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Color_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Footer Copyright Background', 'photobooth'),
            'section' => 'photobooth_color_settings',
            'settings' => $wp_setting_name,
        )
    ));

    # Footer Copyright
    $wp_setting_name = 'footer_copyright_color';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Color_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Footer Copyright Text', 'photobooth'),
            'section' => 'photobooth_color_settings',
            'settings' => $wp_setting_name,
        )
    ));

    # Footer Text Color
    $wp_setting_name = 'footer_text_color';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Color_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Footer Text Color', 'photobooth'),
            'section' => 'photobooth_color_settings',
            'settings' => $wp_setting_name,
        )
    ));

    # Footer Links Color
    $wp_setting_name = 'footer_links_color';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Color_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Footer Links Color', 'photobooth'),
            'section' => 'photobooth_color_settings',
            'settings' => $wp_setting_name,
        )
    ));

    # Footer Links Hover Color
    $wp_setting_name = 'footer_links_hover_color';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Color_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Footer Links Hover Color', 'photobooth'),
            'section' => 'photobooth_color_settings',
            'settings' => $wp_setting_name,
        )
    ));

    ###################################################
    ########### Blog Featured Posts Section ###########
    ###################################################
    $wp_customize->add_section('photobooth_featured_posts',
        array(
            'title' => esc_attr__('Blog Featured Posts', 'photobooth')
        )
    );

    # Featured Posts Status
    $wp_setting_name = 'featured_posts_status';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Featured Posts Status', 'photobooth'),
            'section' => 'photobooth_featured_posts',
            'settings' => $wp_setting_name,
            'type' => 'select',
            'choices' => array('enabled' => 'Enabled', 'disabled' => 'Disabled'),
        )
    ));

    # Featured Posts Order By
    $wp_setting_name = 'featured_posts_orderby';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Featured Posts Order By', 'photobooth'),
            'section' => 'photobooth_featured_posts',
            'settings' => $wp_setting_name,
            'type' => 'select',
            'choices' => array('rand' => 'Random', 'date' => 'Date'),
        )
    ));

    # Featured Posts Number
    $wp_setting_name = 'featured_posts_numberposts';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Number of Posts', 'photobooth'),
            'section' => 'photobooth_featured_posts',
            'settings' => $wp_setting_name,
            'type' => 'select',
            'choices' => array('2' => '2', '3' => '3', '4' => '4'),
        )
    ));

    # Featured Posts Feature Image
    $wp_setting_name = 'featured_posts_fimage_status';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Feature Image', 'photobooth'),
            'section' => 'photobooth_featured_posts',
            'settings' => $wp_setting_name,
            'type' => 'select',
            'choices' => array('show' => 'Show', 'hide' => 'Hide'),
        )
    ));

    # Featured Posts Meta
    $wp_setting_name = 'featured_posts_meta_status';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Post Meta', 'photobooth'),
            'section' => 'photobooth_featured_posts',
            'settings' => $wp_setting_name,
            'type' => 'select',
            'choices' => array('show' => 'Show', 'hide' => 'Hide'),
        )
    ));

    # Featured Posts Excerpt
    $wp_setting_name = 'featured_posts_excerpt_status';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Excerpt', 'photobooth'),
            'section' => 'photobooth_featured_posts',
            'settings' => $wp_setting_name,
            'type' => 'select',
            'choices' => array('show' => 'Show', 'hide' => 'Hide'),
        )
    ));

    ###################################################
    ################ Error 404 Section ################
    ###################################################
    $wp_customize->add_section('photobooth_error404_page_settings',
        array(
            'title' => esc_attr__('Error 404 Page', 'photobooth')
        )
    );

    # 404 Page Backgroung Image
    $wp_setting_name = '404_bg_image';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Image_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Background Image', 'photobooth'),
            'section' => 'photobooth_error404_page_settings',
            'settings' => $wp_setting_name,
        )
    ));

    # 404 Page Text Color
    $wp_setting_name = '404_text_color';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Color_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Text Color', 'photobooth'),
            'section' => 'photobooth_error404_page_settings',
            'settings' => $wp_setting_name,
        )
    ));

    ###################################################
    ############ Password Protected Section ###########
    ###################################################
    $wp_customize->add_section('photobooth_protected_page_settings',
        array(
            'title' => esc_attr__('Password Protected Page', 'photobooth')
        )
    );

    # 404 Page Backgroung Image
    $wp_setting_name = 'protected_bg_image';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Image_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Background Image', 'photobooth'),
            'section' => 'photobooth_protected_page_settings',
            'settings' => $wp_setting_name,
        )
    ));

    # 404 Page Text Color
    $wp_setting_name = 'protected_text_color';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Color_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Text Color', 'photobooth'),
            'section' => 'photobooth_protected_page_settings',
            'settings' => $wp_setting_name,
        )
    ));

    ###################################################
    #################### CS Section ###################
    ###################################################
    $wp_customize->add_section('photobooth_cs_page_settings',
        array(
            'title' => esc_attr__('Coming Soon Page', 'photobooth')
        )
    );

    # 404 Page Backgroung Image
    $wp_setting_name = 'cs_bg_image';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Image_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Background Image', 'photobooth'),
            'section' => 'photobooth_cs_page_settings',
            'settings' => $wp_setting_name,
        )
    ));

    # 404 Page Text Color
    $wp_setting_name = 'cs_text_color';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Color_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Text Color', 'photobooth'),
            'section' => 'photobooth_cs_page_settings',
            'settings' => $wp_setting_name,
        )
    ));

    ###################################################
    ################# Code Before Head ################
    ###################################################
    $wp_customize->add_section('photobooth_code_before_head',
        array(
            'title' => esc_attr__('Code Before &lt;/head&gt;', 'photobooth')
        )
    );

    # Code Before Head
    $wp_setting_name = 'photobooth_code_before_head_val';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'wp_specialchars_decode'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Code Before &lt;/head&gt;', 'photobooth'),
            'section' => 'photobooth_code_before_head',
            'type' => 'textarea',
            'settings' => $wp_setting_name,
        )
    ));

    ###################################################
    ############## Social Icons Section ###############
    ###################################################
    $wp_customize->add_section('photobooth_social_icons',
        array(
            'title' => esc_attr__('Social Icons', 'photobooth')
        )
    );

    $wp_setting_name = 'photobooth_soc_facebook';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_url'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Facebook', 'photobooth'),
            'section' => 'photobooth_social_icons',
            'settings' => $wp_setting_name,
        )
    ));
    $wp_setting_name = 'photobooth_soc_twitter';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_url'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Twitter', 'photobooth'),
            'section' => 'photobooth_social_icons',
            'settings' => $wp_setting_name,
        )
    ));
    $wp_setting_name = 'photobooth_soc_linkedin';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_url'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('LinkedIn', 'photobooth'),
            'section' => 'photobooth_social_icons',
            'settings' => $wp_setting_name,
        )
    ));
    $wp_setting_name = 'photobooth_soc_youtube';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_url'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('YouTube', 'photobooth'),
            'section' => 'photobooth_social_icons',
            'settings' => $wp_setting_name,
        )
    ));
    $wp_setting_name = 'photobooth_soc_instagram';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_url'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Instagram', 'photobooth'),
            'section' => 'photobooth_social_icons',
            'settings' => $wp_setting_name,
        )
    ));
    $wp_setting_name = 'photobooth_soc_pinterest';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_url'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Pinterest', 'photobooth'),
            'section' => 'photobooth_social_icons',
            'settings' => $wp_setting_name,
        )
    ));
    $wp_setting_name = 'photobooth_soc_tumblr';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_url'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Tumblr', 'photobooth'),
            'section' => 'photobooth_social_icons',
            'settings' => $wp_setting_name,
        )
    ));
    $wp_setting_name = 'photobooth_soc_flickr';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_url'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Flickr', 'photobooth'),
            'section' => 'photobooth_social_icons',
            'settings' => $wp_setting_name,
        )
    ));
    $wp_setting_name = 'photobooth_soc_vk';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_url'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('VK', 'photobooth'),
            'section' => 'photobooth_social_icons',
            'settings' => $wp_setting_name,
        )
    ));
    $wp_setting_name = 'photobooth_soc_dribbble';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_url'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Dribbble', 'photobooth'),
            'section' => 'photobooth_social_icons',
            'settings' => $wp_setting_name,
        )
    ));
    $wp_setting_name = 'photobooth_soc_vimeo';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_url'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Vimeo', 'photobooth'),
            'section' => 'photobooth_social_icons',
            'settings' => $wp_setting_name,
        )
    ));
    $wp_setting_name = 'photobooth_soc_500px';
    $wp_customize->add_setting($wp_setting_name, array('default' => $photobooth_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_url'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('500px', 'photobooth'),
            'section' => 'photobooth_social_icons',
            'settings' => $wp_setting_name,
        )
    ));

    #######################################################
    ############## Custom Post Types Section ##############
    #######################################################
    $wp_customize->add_section('photobooth_custom_post_types',
        array(
            'title' => esc_attr('Advanced', 'photobooth')
        )
    );

    # Albums Name
    $wp_setting_name = 'albums_pt_name';
    $wp_customize->add_setting($wp_setting_name, array('default' => 'Albums', 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Albums Post Type Name' , 'photobooth'),
            'section' => 'photobooth_custom_post_types',
            'settings' => $wp_setting_name,
        )
    ));

    # Albums Slug
    $wp_setting_name = 'albums_pt_slug';
    $wp_customize->add_setting($wp_setting_name, array('default' => 'albums', 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Albums Post Type Slug' , 'photobooth'),
            'section' => 'photobooth_custom_post_types',
            'settings' => $wp_setting_name,
        )
    ));
}
