<?php
/*
 * Created by Pixel-Mafia
 * www.pixel-mafia.com
*/

if (!class_exists('RWMB_Loader')) {
    return;
}

add_filter('rwmb_meta_boxes', 'photobooth_meta_boxes');
function photobooth_meta_boxes($meta_boxes)
{      
    # Image Post Format
    $meta_boxes[] = array(
        'title' => esc_attr__('Image Post Format Settings', 'photobooth'),
        'post_types' => 'post',
        'fields' => array(
            array(
                'id' => 'photobooth_pf_images',
                'name' => esc_attr__('Select Images', 'photobooth'),
                'type' => 'image_advanced',
            ),
            array(
                'id' => 'photobooth_pf_images_crop_status',
                'name' => esc_attr__('Crop Images', 'photobooth'),
                'type' => 'select',
                'options' => array(
                    'yes' => esc_attr__('Yes', 'photobooth'),
                    'no' => esc_attr__('No', 'photobooth'),
                ),
            ),
            array(
                'id' => 'photobooth_pf_images_width',
                'name' => esc_attr__('Image Width', 'photobooth'),
                'type' => 'text',
                'desc' => esc_attr__('In pixels.', 'photobooth'),
                'std' => '1600',
                'attributes' => array(
                    'data-dependency-id' => 'photobooth_pf_images_crop_status',
                    'data-dependency-val' => 'yes'
                ),
            ),
            array(
                'id' => 'photobooth_pf_images_height',
                'name' => esc_attr__('Image Height', 'photobooth'),
                'type' => 'text',
                'desc' => esc_attr__('In pixels.', 'photobooth'),
                'std' => '900',
                'attributes' => array(
                    'data-dependency-id' => 'photobooth_pf_images_crop_status',
                    'data-dependency-val' => 'yes'
                ),
            ),
        ),
    );
	
    # Images for Albums
    $meta_boxes[] = array(
        'title' => esc_attr__('Album Images', 'photobooth'),
        'post_types' => 'albums',
        'fields' => array(
            array(
                'id' => 'photobooth_albums_images',
                'name' => esc_attr__('Select Images', 'photobooth'),
                'type' => 'image_advanced',
            ),
            array(
                'id' => 'photobooth_albums_images_layout',
                'name' => esc_attr__('Images Layout', 'photobooth'),
                'type' => 'select',
                'options' => array(
                    '2x1' => esc_attr__('Two and One', 'photobooth'),
                    '3x2' => esc_attr__('Three and Two', 'photobooth'),
                ),
            ),			
        ),
    );

    # Video Post Format
    $meta_boxes[] = array(
        'title' => esc_attr__('Video Post Format Settings', 'photobooth'),
        'post_types' => 'post',
        'fields' => array(
            array(
                'id' => 'photobooth_pf_video_url',
                'name' => esc_attr__('Video URL', 'photobooth'),
                'type' => 'oembed',
                'desc' => esc_attr__('Copy link to the video from YouTube or other video-sharing website.', 'photobooth'),
            ),
            array(
                'id' => 'photobooth_pf_video_height',
                'name' => esc_attr__('Video Height', 'photobooth'),
                'type' => 'text',
                'desc' => esc_attr__('In pixels.', 'photobooth'),
                'std' => '500',
            ),
        ),
    );

    # Quote Post Format
    $meta_boxes[] = array(
        'title' => esc_attr__('Quote Post Format Settings', 'photobooth'),
        'post_types' => 'post',
        'fields' => array(
            array(
                'id' => 'photobooth_pf_quote_text',
                'name' => esc_attr__('Quote Text', 'photobooth'),
                'type' => 'textarea',
                'std' => ''
            ),
            array(
                'id' => 'photobooth_pf_quote_author',
                'name' => esc_attr__('Quote Author', 'photobooth'),
                'type' => 'text',
                'std' => ''
            ),
        ),
    );

    # Audio Post Format
    $meta_boxes[] = array(
        'title' => esc_attr__('Audio Post Format Settings', 'photobooth'),
        'post_types' => 'post',
        'fields' => array(
            array(
                'id' => 'photobooth_pf_audio_url',
                'name' => esc_attr__('Audio URL', 'photobooth'),
                'type' => 'oembed',
                'desc' => esc_attr__('Copy link to the audio from Soundcloud or other audio-sharing website.', 'photobooth'),
            )
        ),
    );

    # Featured Posts Settings
    $meta_boxes[] = array(
        'title' => esc_attr__('Featured Posts Settings', 'photobooth'),
        'post_types' => 'post',
        'fields' => array(
            array(
                'id' => 'featured_posts_status',
                'name' => esc_attr__('Featured Posts', 'photobooth'),
                'type' => 'select',
                'options' => array(
                    'default' => esc_attr__('Default', 'photobooth'),
                    'enabled' => esc_attr__('Enabled', 'photobooth'),
                    'disabled' => esc_attr__('Disabled', 'photobooth'),
                ),
            ),
            array(
                'id' => 'featured_posts_orderby',
                'name' => esc_attr__('Order By', 'photobooth'),
                'type' => 'select',
                'options' => array(
                    'default' => esc_attr__('Default', 'photobooth'),
                    'rand' => esc_attr__('Random', 'photobooth'),
                    'date' => esc_attr__('Date', 'photobooth'),
                ),
                'attributes' => array(
                    'data-dependency-id' => 'featured_posts_status',
                    'data-dependency-val' => 'enabled'
                ),
            ),
            array(
                'id' => 'featured_posts_numberposts',
                'name' => esc_attr__('Number of Posts', 'photobooth'),
                'type' => 'select',
                'options' => array(
                    'default' => esc_attr__('Default', 'photobooth'),
                    '2' => '2',
                    '3' => '3',
                    '4' => '4',
                ),
                'attributes' => array(
                    'data-dependency-id' => 'featured_posts_status',
                    'data-dependency-val' => 'enabled'
                ),
            ),
            array(
                'id' => 'featured_posts_fimage_status',
                'name' => esc_attr__('Featured Image', 'photobooth'),
                'type' => 'select',
                'options' => array(
                    'default' => esc_attr__('Default', 'photobooth'),
                    'show' => 'Show',
                    'hide' => 'Hide',
                ),
                'attributes' => array(
                    'data-dependency-id' => 'featured_posts_status',
                    'data-dependency-val' => 'enabled'
                ),
            ),
            array(
                'id' => 'featured_posts_meta_status',
                'name' => esc_attr__('Meta', 'photobooth'),
                'type' => 'select',
                'options' => array(
                    'default' => esc_attr__('Default', 'photobooth'),
                    'show' => 'Show',
                    'hide' => 'Hide',
                ),
                'attributes' => array(
                    'data-dependency-id' => 'featured_posts_status',
                    'data-dependency-val' => 'enabled'
                ),
            ),
            array(
                'id' => 'featured_posts_excerpt_status',
                'name' => esc_attr__('Excerpt', 'photobooth'),
                'type' => 'select',
                'options' => array(
                    'default' => esc_attr__('Default', 'photobooth'),
                    'show' => 'Show',
                    'hide' => 'Hide',
                ),
                'attributes' => array(
                    'data-dependency-id' => 'featured_posts_status',
                    'data-dependency-val' => 'enabled'
                ),
            ),
        ),
    );

    # Page & Post Settings
    $meta_boxes[] = array(
        'title' => esc_attr__('Page Settings', 'photobooth'),
        'post_types' => array('post', 'page'),
        'fields' => array(
            array(
                'id' => 'header_transparent',
                'name' => esc_attr__('Transparent Header', 'photobooth'),
                'type' => 'select',
                'options' => array(
                    'default' => esc_attr__('Default', 'photobooth'),
                    'enabled' => esc_attr__('Enabled', 'photobooth'),
                    'disabled' => esc_attr__('Disabled', 'photobooth'),
                ),
                'attributes' => array(
                    'data-hide-on-template-file' => 'page-albums-slider.php, page-albums.php, page-fullscreen-slider.php, page-ribbon-slider.php, page-split-showcase.php',
                ),
            ),
            array(
                'id' => 'logo_position',
                'name' => esc_attr__('Logo Position', 'photobooth'),
                'type' => 'select',
                'options' => array(
                    'default' => esc_attr__('Default', 'photobooth'),
                    'logo_left' => esc_attr__('Left', 'photobooth'),
                    'logo_center' => esc_attr__('Center', 'photobooth'),
                    'logo_right' => esc_attr__('Right', 'photobooth'),
                ),
            ),
            array(
                'id' => 'header_menu_status',
                'name' => esc_attr__('Header Menu', 'photobooth'),
                'type' => 'select',
                'options' => array(
                    'show' => esc_attr__('Show', 'photobooth'),
                    'hide' => esc_attr__('Hide', 'photobooth'),
                ),
            ),
            array(
                'id' => 'content_layout',
                'name' => esc_attr__('Content Layout', 'photobooth'),
                'type' => 'select',
                'options' => array(
					'default' => esc_attr__('Default', 'photobooth'),
                    'clean' => esc_attr__('Clean', 'photobooth'),
                    'boxed' => esc_attr__('Boxed', 'photobooth'),
                ),
                'attributes' => array(
                    'data-hide-on-template-file' => 'page-albums-slider.php, page-albums.php, page-fullscreen-slider.php, page-ribbon-slider.php, page-split-showcase.php',
                ),
            ),
            array(
                'id' => 'single_page_title',
                'name' => esc_attr__('Page Title', 'photobooth'),
                'type' => 'select',
                'options' => array(
                    'show' => esc_attr__('Show', 'photobooth'),
                    'hide' => esc_attr__('Hide', 'photobooth'),
                ),
                'attributes' => array(
                    'data-hide-on-template-file' => 'page-albums-slider.php, page-albums.php, page-fullscreen-slider.php, page-ribbon-slider.php, page-split-showcase.php',
                ),
            ),
            array(
                'id' => 'header_padding',
                'name' => esc_attr__('Padding Before Content', 'photobooth'),
                'type' => 'select',
                'options' => array(
                    'photobooth_header_padding_yes' => esc_attr__('Yes', 'photobooth'),
                    'photobooth_header_padding_no' => esc_attr__('No', 'photobooth'),
                ),
                'attributes' => array(
                    'data-hide-on-template-file' => 'page-albums-slider.php, page-albums.php, page-fullscreen-slider.php, page-ribbon-slider.php, page-split-showcase.php',
                ),
            ),
            array(
                'id' => 'sidebar_position',
                'name' => esc_attr__('Sidebar Position', 'photobooth'),
                'type' => 'select',
                'options' => array(
                    'default' => esc_attr__('Default', 'photobooth'),
                    'photobooth_left_sidebar' => esc_attr__('Left', 'photobooth'),
                    'photobooth_right_sidebar' => esc_attr__('Right', 'photobooth'),
                    'photobooth_no_sidebar' => esc_attr__('None', 'photobooth'),
                ),
                'attributes' => array(
                    'data-hide-on-template-file' => 'page-albums-slider.php, page-albums.php, page-fullscreen-slider.php, page-ribbon-slider.php, page-split-showcase.php',
                ),
            ),
        ),
    );

    # Fullscreen Templates
    $meta_boxes[] = array(
        'title' => esc_attr__('Gallery Template Settings', 'photobooth'),
        'post_types' => 'page',
        'fields' => array(
            array(
                'id' => 'photobooth_template_images',
                'name' => esc_attr__('Select Images', 'photobooth'),
                'type' => 'image_advanced',
            ),
            array(
                'id' => 'photobooth_slider_fit_style',
                'name' => esc_attr__('Fit Style', 'photobooth'),
                'type' => 'select',
                'options' => array(
					'no_fit' => esc_attr__('Cover Slide', 'photobooth'), 
					"fit_always" => esc_attr__('Fit Always', 'photobooth'), 
					"fit_width" => esc_attr__('Fit Horizontal', 'photobooth'), 
					"fit_height" => esc_attr__('Fit Vertical', 'photobooth')
                ),
                'attributes' => array(
                    'data-show-on-template-file' => 'page-fullscreen-slider.php',
                ),
            ),
            array(
                'id' => 'photobooth_slider_nav_style',
                'name' => esc_attr__('Navigation Style', 'photobooth'),
                'type' => 'select',
                'options' => array(
					'arrows' => esc_attr__('Arrows Navigation', 'photobooth'),
					'thumbs' => esc_attr__('Thumbs Navigation', 'photobooth')					
                ),
				'attributes' => array(
                    'data-show-on-template-file' => 'page-fullscreen-slider.php',
                ),
            ),
            array(
                'id' => 'photobooth_slider_autoplay',
                'name' => esc_attr__('Autoplay', 'photobooth'),
                'type' => 'select',
                'options' => array(
                    'no' => esc_attr__('No', 'photobooth'),
					'yes' => esc_attr__('Yes', 'photobooth'),
                ),
                'attributes' => array(
                    'data-show-on-template-file' => 'page-ribbon-slider.php, page-fullscreen-slider.php',
                ),
            ),
            array(
                'id' => 'photobooth_slider_interval',
                'name' => esc_attr__('Autoplay Interval', 'photobooth'),
                'type' => 'text',
                'std' => '4000',
                'attributes' => array(
                    'data-show-on-template-file' => 'page-ribbon-slider.php, page-fullscreen-slider.php',
                    'data-dependency-id' => 'photobooth_slider_autoplay',
                    'data-dependency-val' => 'yes'
                ),
            ),
        )
    );

    # Select Albums Category
    $meta_boxes[] = array(
        'title' => esc_attr__('Albums Category Settings', 'photobooth'),
        'post_types' => 'page',
        'fields' => array(
            array(
                'id' => 'photobooth_albums_taxonomy',
                'name' => esc_attr__('Select Categories', 'photobooth'),
                'type' => 'taxonomy',
				'taxonomy' => 'albumscat',
				'field_type' => 'checkbox_list',
            ),
        )
    );
    # Albums Listing
    $meta_boxes[] = array(
        'title' => esc_attr__('Albums Listing Settings', 'photobooth'),
        'post_types' => 'page',
        'fields' => array(

            array(
                'id' => 'photobooth_albums_on_start',
                'name' => esc_attr__('Album Items on Start', 'photobooth'),
                'type' => 'select',
                'options' => array(
                    '5' => esc_attr__('5 Items', 'photobooth'),
                    '10' => esc_attr__('10 Items', 'photobooth'),
                    '15' => esc_attr__('15 Items', 'photobooth'),
                    '20' => esc_attr__('20 Items', 'photobooth')
                ),
            ),
            array(
                'id' => 'photobooth_albums_per_load',
                'name' => esc_attr__('Album Items per Load', 'photobooth'),
                'type' => 'select',
                'options' => array(
                    '5' => esc_attr__('5 Items', 'photobooth'),
                    '10' => esc_attr__('10 Items', 'photobooth'),
                    '15' => esc_attr__('15 Items', 'photobooth'),
                    '20' => esc_attr__('20 Items', 'photobooth')
                ),
            ),
		
            array(
                'id' => 'photobooth_load_more_text',
                'name' => esc_attr__('Load More Button Text', 'photobooth'),
                'type' => 'text',
                'std' => esc_attr__('Load More', 'photobooth'),
                'attributes' => array(
                    'data-show-on-template-file' => 'page-albums.php'
                ),
            ),
        )
    );

    return $meta_boxes;
}