<?php

/*
 * Created by Pixel-Mafia
 * www.pixel-mafia.com
*/
if (function_exists('vc_map')) {
	vc_map(array(
		'base' => 'pm_vc_grid',
		'name' => esc_html__('Gallery Grid', 'photobooth'),
		"description" => esc_html__("Display Grid or Masonry Gallery", "photobooth"),
		'category' => esc_html__('Pixel-Mafia', 'photobooth'),
		'icon' => 'photobooth_vc_elements_icon photobooth_grid',
		'params' => array(
			array(
				'type' => 'attach_images',
				'heading' => esc_html__('Add Images', 'photobooth'),
				'param_name' => 'images',
				'admin_label' => true,
				'description' => esc_html__('Select images from media library.', 'photobooth'),
				'value' => ''
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Enter thumbnail width", "photobooth"),
				"param_name" => "img_width",
				'edit_field_class' => 'vc_col-sm-6',
				'value' => '800'
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Enter thumbnail height", "photobooth"),
				"param_name" => "img_height",
				'edit_field_class' => 'vc_col-sm-6',
				'value' => '600'
			),				
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Select Layout', 'photobooth'),
				'param_name' => 'masonry',
				'admin_label' => true,
				'value' => array(
					esc_html__("Grid Layout", "photobooth") => 'off',
					esc_html__("Masonry Layout", "photobooth") => 'on'
				)
			),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Items in Row', 'photobooth'),
				'param_name' => 'items_in_row',
				'admin_label' => true,
				'value' => array(
					esc_html__("1 Item", "photobooth") => '1',
					esc_html__("2 Items", "photobooth") => '2',
					esc_html__("3 Items", "photobooth") => '3',
					esc_html__("4 Item", "photobooth") => '4',
					esc_html__("5 Items", "photobooth") => '5',
					esc_html__("6 Items", "photobooth") => '6'
				)
			),
			array(
				'type' => 'checkbox',
				'heading' => esc_html__('Grayscale', 'photobooth'),
				'param_name' => 'grayscale',
				'std' => '',
				'description' => esc_html__( 'If checked, the images will be in black and white and will be colored on hover.', 'photobooth' ),
				'value' => esc_html__('Yes', 'photobooth'),
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Items on First Load", "photobooth"),
				"param_name" => "posts_first_load",
				'edit_field_class' => 'vc_col-sm-6',
				'value' => '12'
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Items on Load More", "photobooth"),
				"param_name" => "items_per_load",
				'edit_field_class' => 'vc_col-sm-6',
				'value' => '4'
			),
			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Overlay Background Color", "photobooth"),
				"param_name" => "overlay_bg",
				"value" => "",
				"description" => esc_html__("Select overlay color.", "photobooth"),
				'edit_field_class' => 'vc_col-sm-6',
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Paddings around the images", "photobooth"),
				"param_name" => "items_padding",
				'edit_field_class' => 'vc_col-sm-6',
				'description' => esc_html__('Please use this option to add paddings around the images. Recommended size in pixels 0-50. (Ex.: 15px):', 'photobooth'),
				'value' => ''
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Load More Button Text", "photobooth"),
				"param_name" => "button_title",
				"description" => esc_html__("Specify Load More button text", "photobooth"),
				"value" => esc_html__("Load More", "photobooth")
			),
			
			array(
				'type' => 'css_editor',
				'heading' => esc_html__('CSS', 'photobooth'),
				'param_name' => 'custom_css',
				'group' => esc_html__('Design options', 'photobooth'),
			),

			array(
				'param_name' => 'custom_class',
				'heading' => esc_html__('Custom Class', 'photobooth'),
				'description' => '',
				'type' => 'textfield',
				'value' => '',
				'admin_label' => false,
				'weight' => 0,
				'group' => 'Design options',
			)		
		)
	));
}

if (class_exists('WPBakeryShortCode')) {
    class WPBakeryShortCode_PM_VC_Grid extends WPBakeryShortCode
    {
    }
}
?>