<?php

/*
 * Created by Pixel-Mafia
 * www.pixel-mafia.com
*/
if (function_exists('vc_map')) {
	vc_map(array(
		'base' => 'pm_vc_image_carousel',
		'name' => esc_html__('Image Carousel', 'photobooth'),
		"description" => esc_html__("Display image carousel", "photobooth"),
		'category' => esc_html__('Pixel-Mafia', 'photobooth'),
		'icon' => 'photobooth_vc_elements_icon photobooth_image_carousel',
		'params' => array(
			array(
				'type' => 'attach_images',
				'heading' => esc_html__('Add Images', 'photobooth'),
				'param_name' => 'images',
				'admin_label' => true,
				'description' => esc_html__('Select images from media library.', 'photobooth'),
				'value' => ''
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Enter thumbnail width", "photobooth"),
				"param_name" => "img_width",
				'edit_field_class' => 'vc_col-sm-6',
				'value' => '500'
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Enter thumbnail height", "photobooth"),
				"param_name" => "img_height",
				'edit_field_class' => 'vc_col-sm-6',
				'value' => '500'
			),				
			array(
				"type" => "textfield",
				"heading" => esc_html__("Images on screen", "photobooth"),
				"param_name" => "on_screen",
				'value' => '4'
			),				
			array(
				'type' => 'checkbox',
				'heading' => esc_html__('Open in Lightbox', 'photobooth'),
				'param_name' => 'lightbox',
				'description' => esc_html__( 'If checked, on click images will be open in Lightbox', 'photobooth' ),
				'value' => esc_html__('Yes', 'photobooth'),
			),
			array(
				'type' => 'checkbox',
				'heading' => esc_html__('Grayscale', 'photobooth'),
				'param_name' => 'grayscale',
				'std' => '',
				'description' => esc_html__( 'If checked, the images will be in black and white and will be colored on hover.', 'photobooth' ),
				'value' => esc_html__('Yes', 'photobooth'),
			),
			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Overlay Background Color", "photobooth"),
				"param_name" => "overlay_bg",
				"value" => "",
				"description" => esc_html__("Select overlay background color on hover.", "photobooth"),
				'edit_field_class' => 'vc_col-sm-6',
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Paddings around the images", "photobooth"),
				"param_name" => "items_padding",
				'edit_field_class' => 'vc_col-sm-6',
				'description' => esc_html__('Please use this option to add paddings around the images. Recommended size in pixels 0-50. (Ex.: 15px):', 'photobooth'),
				'value' => '15px'
			),
			
			array(
				'type' => 'checkbox',
				'heading' => esc_html__('Autoplay', 'photobooth'),
				'param_name' => 'autoplay',
				'description' => esc_html__( 'Enable slider autoplay.', 'photobooth' ),
				'value' => esc_html__('Yes', 'photobooth'),
				'edit_field_class' => 'vc_col-sm-6'
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Autoplay Speed,", "photobooth"),
				"param_name" => "autoplay_speed",
				"value" => '5000',
				'edit_field_class' => 'vc_col-sm-6'
			),
			
			array(
				'type' => 'css_editor',
				'heading' => esc_html__('CSS', 'photobooth'),
				'param_name' => 'custom_css',
				'group' => esc_html__('Design options', 'photobooth'),
			),

			array(
				'param_name' => 'custom_class',
				'heading' => esc_html__('Custom Class', 'photobooth'),
				'description' => '',
				'type' => 'textfield',
				'value' => '',
				'admin_label' => false,
				'weight' => 0,
				'group' => 'Design options',
			)		
		)
	));

}

if (class_exists('WPBakeryShortCode')) {
    class WPBakeryShortCode_PM_VC_Image_Carousel extends WPBakeryShortCode
    {
    }
}
?>