<?php

/*
 * Created by Pixel-Mafia
 * www.pixel-mafia.com
*/
if (function_exists('vc_map')) {
	vc_map(array(
		'base' => 'pm_vc_promo_text',
		'name' => esc_html__('Promo Text', 'photobooth'),
		"description" => esc_html__("Display promo text block", "photobooth"),
		'category' => esc_html__('Pixel-Mafia', 'photobooth'),
		'icon' => 'photobooth_vc_elements_icon photobooth_promo_text',
		'params' => array(
			array(
				"type" => "textfield",
				"heading" => esc_html__("Promo Title", "photobooth"),
				"param_name" => "promo_title",
				'value' => ''
			),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Promo Title Tag', 'photobooth'),
				'param_name' => 'title_tag',
				'admin_label' => true,
				'value' => array(
					esc_html__("H1", "photobooth") => 'h1',
					esc_html__("H2", "photobooth") => 'h2',
					esc_html__("H3", "photobooth") => 'h3',
					esc_html__("H4", "photobooth") => 'h4',
					esc_html__("H5", "photobooth") => 'h5',
					esc_html__("H6", "photobooth") => 'h6',
				)
			),
			
			array(
				"type" => "textarea",
				"heading" => esc_html__("Promo Text", "photobooth"),
				"param_name" => "promo_text",
				'value' => ''
			),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Promo Text Tag', 'photobooth'),
				'param_name' => 'text_tag',
				'admin_label' => true,
				'value' => array(
					esc_html__("DIV", "photobooth") => 'div',
					esc_html__("P", "photobooth") => 'p',
					esc_html__("H2", "photobooth") => 'h2',
					esc_html__("H3", "photobooth") => 'h3',
					esc_html__("H4", "photobooth") => 'h4',
					esc_html__("H5", "photobooth") => 'h5',
					esc_html__("H6", "photobooth") => 'h6',
				)
			),			
            array(
                'type' => 'checkbox',
                'heading' => esc_html__('Add Button?', 'photobooth'),
                'param_name' => 'button_state',
                'value' => esc_html__('Yes', 'photobooth'),
            ),
            array(
                "type" => "textfield",
                "heading" => esc_html__("Button Text", "photobooth"),
                "param_name" => "button_text",
                'value' => '',
                'dependency' => array(
                    'element' => 'button_state',
                    'value' => 'true'
                )
            ),
            array(
                "type" => "vc_link",
                "heading" => esc_html__("Button Link", "photobooth"),
                "param_name" => "button_link",
                'value' => '',
                'dependency' => array(
                    'element' => 'button_state',
                    'value' => 'true'
                )
            ),

			
			array(
				'type' => 'css_editor',
				'heading' => esc_html__('CSS', 'photobooth'),
				'param_name' => 'custom_css',
				'group' => esc_html__('Design options', 'photobooth'),
			),

			array(
				'param_name' => 'custom_class',
				'heading' => esc_html__('Custom Class', 'photobooth'),
				'description' => '',
				'type' => 'textfield',
				'value' => '',
				'admin_label' => false,
				'weight' => 0,
				'group' => 'Design options',
			)		
		)
	));

}

if (class_exists('WPBakeryShortCode')) {
    class WPBakeryShortCode_PM_VC_promo_text extends WPBakeryShortCode
    {
    }
}
?>