<?php

/*
 * Created by Pixel-Mafia
 * www.pixel-mafia.com
*/
if (function_exists('vc_map')) {
	vc_map(array(
		'base' => 'pm_vc_simple_slider',
		'name' => esc_html__('Simple Slider', 'photobooth'),
		"description" => esc_html__("Display image carousel", "photobooth"),
		'category' => esc_html__('Pixel-Mafia', 'photobooth'),
		'icon' => 'photobooth_vc_elements_icon photobooth_image_carousel',
		'params' => array(
			array(
				'type' => 'attach_images',
				'heading' => esc_html__('Add Images', 'photobooth'),
				'param_name' => 'images',
				'admin_label' => true,
				'description' => esc_html__('Select images from media library.', 'photobooth'),
				'value' => ''
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Enter Slider Height", "photobooth"),
				"param_name" => "slider_height",
				'description' => esc_html__('Slider Module height in PX or 100% to set fullscreen height.', 'photobooth'),
				'value' => '800px'
			),				
			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Overlay Background Color", "photobooth"),
				"param_name" => "overlay_bg",
				"value" => "",
				"description" => esc_html__("Select overlay background color.", "photobooth"),
			),			
			array(
				"type" => "textfield",
				"heading" => esc_html__("Autoplay Speed,", "photobooth"),
				"param_name" => "autoplay_speed",
				"value" => '5000',
			),

            array(
                "type" => "textfield",
                "heading" => esc_html__("Title", "photobooth"),
                "param_name" => "item_title",
                'value' => ''
            ),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Title Tag', 'photobooth'),
				'param_name' => 'title_tag',
				'admin_label' => true,
				'value' => array(
					esc_html__("H1", "photobooth") => 'h1',
					esc_html__("H2", "photobooth") => 'h2',
					esc_html__("H3", "photobooth") => 'h3',
					esc_html__("H4", "photobooth") => 'h4',
					esc_html__("H5", "photobooth") => 'h5',
					esc_html__("H6", "photobooth") => 'h6',
				)
			),			
            array(
                "type" => "textfield",
                "heading" => esc_html__("Caption", "photobooth"),
                "param_name" => "item_caption",
                'value' => ''
            ),

			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Title Color", "photobooth"),
				"param_name" => "title_color",
				"value" => "",
				'std' => '#ffffff',
				'edit_field_class' => 'vc_col-sm-6',
				"description" => esc_html__("Select title color.", "photobooth"),
			),			
			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Caption Color", "photobooth"),
				"param_name" => "caption_color",
				'std' => '#ffffff',
				"value" => "",
				'edit_field_class' => 'vc_col-sm-6',
				"description" => esc_html__("Select title color.", "photobooth"),
			),			
			
            array(
                'type' => 'checkbox',
                'heading' => esc_html__('Add Button?', 'photobooth'),
                'param_name' => 'button_state',
                'value' => esc_html__('Yes', 'photobooth'),
            ),
            array(
                "type" => "textfield",
                "heading" => esc_html__("Button Text", "photobooth"),
                "param_name" => "button_text",
                'value' => '',
                'dependency' => array(
                    'element' => 'button_state',
                    'value' => 'true'
                )
            ),
            array(
                "type" => "vc_link",
                "heading" => esc_html__("Button Link", "photobooth"),
                "param_name" => "button_link",
                'value' => '',
                'dependency' => array(
                    'element' => 'button_state',
                    'value' => 'true'
                )
            ),
			
			array(
				'type' => 'css_editor',
				'heading' => esc_html__('CSS', 'photobooth'),
				'param_name' => 'custom_css',
				'group' => esc_html__('Design options', 'photobooth'),
			),

			array(
				'param_name' => 'custom_class',
				'heading' => esc_html__('Custom Class', 'photobooth'),
				'description' => '',
				'type' => 'textfield',
				'value' => '',
				'admin_label' => false,
				'weight' => 0,
				'group' => 'Design options',
			)		
		)
	));

}

if (class_exists('WPBakeryShortCode')) {
    class WPBakeryShortCode_PM_vc_Simple_Slider extends WPBakeryShortCode
    {
    }
}
?>