<?php

/*
 * Created by Pixel-Mafia
 * www.pixel-mafia.com
*/
if (function_exists('vc_map')) {
    vc_map(array(
        'base' => 'pm_vc_testimonials',
        'name' => esc_html__('Testimonials', 'photobooth'),
        'description' => esc_html__('Display Testimonials slider', 'photobooth'),
        'category' => esc_html__('Pixel-Mafia', 'photobooth'),
        'as_parent' => array('only' => 'pm_vc_testimonials_item'),
        'content_element' => true,
        'is_container' => true,
        'icon' => 'pm_vc_elements_icon pm_testimonials',
        'show_settings_on_create' => false,
        'params' => array(
	        array(
				'type' => 'dropdown',
				'heading' => esc_html__('Select Layout', 'photobooth'),
				'param_name' => 'layout',
				'std' => 'layout01',
				'value' => array(
					esc_html__("Slider", "photobooth") => 'layout01',
					esc_html__("Grid", "photobooth") => 'layout02'
				)
			),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Columns', 'photobooth'),
				'param_name' => 'columns',
				'std' => '3',
				'value' => array(
					'2' => '2',
					'3' => '3'
				),
				"dependency" => array(
                    "element" => "layout",
                    "value" => "layout02"
                )
			),
			array(
				'type' => 'checkbox',
				'heading' => esc_html__('Navigation', 'photobooth'),
				'param_name' => 'navigation',
				'description' => esc_html__( 'Enable navigation.', 'photobooth' ),
				'value' => esc_html__('Yes', 'photobooth'),
				"dependency" => array(
                    "element" => "layout",
                    "value" => "layout01"
                )
			),
			array(
				'type' => 'checkbox',
				'heading' => esc_html__('Autoplay', 'photobooth'),
				'param_name' => 'autoplay',
				'description' => esc_html__( 'Enable slider autoplay.', 'photobooth' ),
				'value' => esc_html__('Yes', 'photobooth'),
				"dependency" => array(
                    "element" => "layout",
                    "value" => "layout01"
                )
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Autoplay Speed", "photobooth"),
				"param_name" => "autoplay_speed",
				"value" => '5000',
                "dependency" => array(
                    "element" => "autoplay",
                    "value" => "true"
                )
			),
			
            array(
                'type' => 'css_editor',
                'heading' => esc_html__('CSS', 'photobooth'),
                'param_name' => 'custom_css',
				'group' => esc_html__('Design options', 'photobooth'),
            ),
            array(
                'param_name' => 'custom_class',
                'heading' => esc_html__('Custom Class', 'photobooth'),
                'description' => '',
                'type' => 'textfield',
                'value' => '',
                'admin_label' => false,
                'weight' => 0,
				'group' => esc_html__('Design options', 'photobooth'),
            )
        ),
        'js_view' => 'VcColumnView'
    ));
}

if (class_exists('WPBakeryShortCodesContainer')) {
    class WPBakeryShortCode_PM_VC_Testimonials extends WPBakeryShortCodesContainer
    {
    }
}


# Testimonials Item
if (function_exists('vc_map')) {
    vc_map(array(
        'base' => 'pm_vc_testimonials_item',
        'name' => esc_html__('Testimonials Item', 'photobooth'),
        "description" => esc_html__("Create testimonial item", "photobooth"),
        'category' => esc_html__('Pixel-Mafia', 'photobooth'),
        'icon' => 'pm_vc_elements_icon pm_testimonials_item',
        "as_child" => array('only' => 'pm_vc_testimonials'),
        'is_container' => false,
        'show_settings_on_create' => true,
        'params' => array(
			array(
				'type' => 'attach_image',
				'heading' => esc_html__('Featured Image', 'photobooth'),
				'param_name' => 'testimonial_image',
				'admin_label' => true,
				'description' => esc_html__('Select featured image from media library.', 'photobooth'),
				'value' => ''
			),		
            array(
                "type" => "textarea",
                "heading" => esc_html__("Testimonial Text", "photobooth"),
                "param_name" => "testimonial_text",
                'value' => ''
            ),
            array(
                "type" => "textfield",
                "heading" => esc_html__("Author", "photobooth"),
                "param_name" => "testimonial_author",
                'value' => ''
            ),
			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Text Color", "photobooth"),
				"param_name" => "text_color",
				"value" => "",
				"description" => esc_html__("Select text color for testimonial text.", "photobooth"),
				'edit_field_class' => 'vc_col-sm-6',
			),
			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Author Color", "photobooth"),
				"param_name" => "author_color",
				"value" => "",
				"description" => esc_html__("Select text color for testimonial author.", "photobooth"),
				'edit_field_class' => 'vc_col-sm-6',
			),
			
            array(
                'param_name' => 'custom_class',
                'heading' => esc_html__('Custom Class', 'photobooth'),
                'description' => '',
                'type' => 'textfield',
                'value' => '',
                'admin_label' => false,
                'weight' => 0,
            )
        )
    ));
}
if (class_exists('WPBakeryShortCode')) {
    class WPBakeryShortCode_PM_VC_Testimonials_Item extends WPBakeryShortCode
    {
    }
}
?>