<?php
/*
 * Created by Pixel-Mafia
 * www.pixel-mafia.com
*/

add_action('wp_head', 'photobooth_custom_css');
function photobooth_custom_css()
{	
    echo '
    <style type="text/css">
	body {
		background-color: ' . photobooth_get_theme_mod('body_bg_color') . ';
	}
	body.boxed {
		background-color: ' . photobooth_get_theme_mod('boxed_bg_color') . ';
	}
	body.boxed > .container {
		background-color: ' . photobooth_get_theme_mod('body_bg_color') . ';
	}
    .photobooth_dropcaps,
    a,
    a .innertitle:hover,
    .photobooth_meta a:hover,
    .page-numbers.current,
    span.wpcf7-not-valid-tip,
	.photobooth_content .photobooth_contact_info a:hover,
	.photobooth_button, a.photobooth_button,
	.photobooth_price_table_item.most_popular_item a.photobooth_button:hover {
        color: ' . photobooth_get_theme_mod('color_main') . ';
    }
    .form-submit input,
	.post-password-form input[type="submit"],
    .photobooth_404_home_btn,
    .wpcf7-submit,
    .photobooth_button,
    .page-numbers:hover {
        background-color: ' . photobooth_get_theme_mod('color_main') . ';
    }
    h1, h2, h3, h4, h5, h6 {
        color: ' . photobooth_get_theme_mod('color_headings') . ';
    }
    body,
	.photobooth_grid_post_wrapper {
        font-family: "' . photobooth_get_theme_mod('main_font_family') . '";
        font-size: ' . absint(photobooth_get_theme_mod('main_font_size')) . 'px;
        line-height: ' . absint(photobooth_get_theme_mod('main_line_height')) . 'px;
        font-weight: ' . absint(photobooth_get_theme_mod('main_font_weight')) . ';
        color: ' . photobooth_get_theme_mod('color_content') . ';
    }
	.photobooth_albums_categories a,
	.photobooth_albums_listing_wrapper nav.navigation.pagination a {
		color: ' . photobooth_get_theme_mod('color_content') . ';
	}
	.photobooth_albums_categories a:hover,
	input[type="button"]:hover,
	input[type="reset"]:hover,
	input[type="submit"]:hover {
		color: ' . photobooth_get_theme_mod('color_main') . ';
	}
    header {
        background-color: rgba(' . photobooth_hex2rgb(photobooth_get_theme_mod('header_bg_color')) . ', 1);
        ';
        if (strlen(photobooth_get_theme_mod('header_bg_image')) > 0) {
	        echo 'background-image: url("' . esc_url(photobooth_get_theme_mod('header_bg_image')) . '");';
        }
	echo '
    }
    header .photobooth_logo_cont {
        padding-top: ' . absint(photobooth_get_theme_mod('logo_padding_top')) . 'px;
        padding-bottom: ' . absint(photobooth_get_theme_mod('logo_padding_bottom')) . 'px;
    }
    header.logo_center .photobooth_logo_cont {
        padding-bottom: ' . absint((photobooth_get_theme_mod('logo_padding_bottom')) - 6) . 'px;
    }
    ';

    # Image Logo
    if (photobooth_get_theme_mod('logo_type') == 'image_logo') {
        $photobooth_logo_metadata = wp_get_attachment_metadata(attachment_url_to_postid(photobooth_get_theme_mod('logo_image')));
        $photobooth_logo_width = (isset($photobooth_logo_metadata['width']) ? $photobooth_logo_metadata['width'] : '404');
        $photobooth_logo_height = (isset($photobooth_logo_metadata['height']) ? $photobooth_logo_metadata['height'] : '80');

        echo '
        header .photobooth_image_logo {
            width: ' . absint($photobooth_logo_width) . 'px;
            height: ' . absint($photobooth_logo_height) . 'px;
            background: url("' . esc_url(photobooth_get_theme_mod('logo_image')) . '") 0 0 no-repeat transparent;
        }
        
        .photobooth_transparent_header header .photobooth_image_logo {
            background: url("' . esc_url(photobooth_get_theme_mod('logo_image_transparent')) . '") 0 0 no-repeat transparent;
        }
        
        @media only screen and (max-width: 760px) {
	        header .photobooth_image_logo {
	            background: url("' . esc_url(photobooth_get_theme_mod('logo_image_transparent')) . '") 0 0 no-repeat transparent;
	        }
	    }
        ';

        # Retina
        if (photobooth_get_theme_mod('logo_retina') == true) {
            $photobooth_logo_width = $photobooth_logo_width / 2;
            $photobooth_logo_height = $photobooth_logo_height / 2;
            echo '
            header .photobooth_image_logo.photobooth_retina {
                width: ' . absint($photobooth_logo_width) . 'px;
                height: ' . absint($photobooth_logo_height) . 'px;
                background-size: ' . absint($photobooth_logo_width) . 'px ' . absint($photobooth_logo_height) . 'px;
            }
            ';
        }
        $photobooth_menu_lh_fix = 0;
    }

    # Text Logo
    if (photobooth_get_theme_mod('logo_type') == 'text_logo') {
        $photobooth_logo_height = absint(photobooth_get_theme_mod('logo_text_size'));
        $photobooth_menu_lh_fix = 6;
        echo '
        header .photobooth_text_logo a {
            font-size: ' . absint(photobooth_get_theme_mod('logo_text_size')) . 'px;
            line-height: ' . absint(photobooth_get_theme_mod('logo_text_size')) . 'px;
            color: ' . photobooth_get_theme_mod('logo_text_color') . ';
            font-weight: ' . photobooth_get_theme_mod('logo_text_weight') . ';
            font-style: ' . (photobooth_get_theme_mod('logo_text_style_italic') == true ? 'italic' : 'normal') . ';
            font-family:"' . photobooth_get_theme_mod('logo_text_font') . '";
            text-transform:' . (photobooth_get_theme_mod('logo_text_style_uppercase') == true ? 'uppercase' : 'none') . ';
        }
        .photobooth_transparent_header header .photobooth_text_logo a {
            color: ' . photobooth_get_theme_mod('logo_text_color_transparent_header') . ';
        }
        header .photobooth_text_logo a:hover {
            color: ' . photobooth_get_theme_mod('logo_text_hover') . ';
        }
        .photobooth_transparent_header header .photobooth_text_logo a:hover {
            color: ' . photobooth_get_theme_mod('logo_text_hover_transparent_header') . ';
        }
        ';
    }

    # Header Menu & Logo
    echo '
    header .photobooth_menu li a {
        color: ' . photobooth_get_theme_mod('header_links_color') . ';
        font-family:"' . photobooth_get_theme_mod('header_menu_font_family') . '";
        text-transform: ' . (photobooth_get_theme_mod('header_menu_uppercase') == true ? 'uppercase' : 'none') . ';
        font-style: ' . (photobooth_get_theme_mod('header_menu_italic') == true ? 'italic' : 'normal') . ';
        font-weight: ' . photobooth_get_theme_mod('header_menu_font_weight') . ';
        font-size: ' . absint(photobooth_get_theme_mod('header_menu_font_size')) . 'px;
        line-height: ' . absint(photobooth_get_theme_mod('header_menu_font_size')) . 'px;
    }
    header .photobooth_menu li li a {
	    color: ' . photobooth_get_theme_mod('header_links_color_transparent_header') . ';
	}
    .photobooth_transparent_header header .photobooth_menu > li > a {
        color: ' . photobooth_get_theme_mod('header_links_color_transparent_header') . ';
    }
    .photobooth_transparent_header header .photobooth_menu > li > a:after {
        background-color: ' . photobooth_get_theme_mod('header_links_color_transparent_header') . ';
    }
    header .photobooth_menu > li > a {
        line-height: ' . (absint(photobooth_get_theme_mod('logo_padding_top')) + absint(photobooth_get_theme_mod('logo_padding_bottom')) + $photobooth_logo_height - $photobooth_menu_lh_fix) . 'px;
        padding-top: ' . absint($photobooth_menu_lh_fix) . 'px;
    }
    header .photobooth_menu li .sub-menu li a {
        background-color: rgba(' . photobooth_hex2rgb(photobooth_get_theme_mod('header_submenu_bg_color')) . ', 0.8);
    }
    header .photobooth_menu li .sub-menu li a {
        font-size: ' . (absint(photobooth_get_theme_mod('header_menu_font_size')) + 0) . 'px;
        line-height: ' . (absint(photobooth_get_theme_mod('header_menu_font_size')) + 9) . 'px;
    }
    header .photobooth_menu .sub-menu li.menu-item-has-children:after,
    ul.mobile_menu li a {
        color: ' . photobooth_get_theme_mod('header_links_color') . ';
    }
	header .photobooth_menu > li > a:after {
		background-color: ' . photobooth_get_theme_mod('header_links_color') . ';
	}
    header .photobooth_menu li:hover li:hover > a, header .sub-menu li.current-menu-item > a,
    header .photobooth_menu .sub-menu li.menu-item-has-children:hover:after {
        color: ' . photobooth_get_theme_mod('header_links_hover_color') . ';
    }
	ul.mobile_menu li a:hover,
	ul.mobile_menu li.current-menu-ancestor > a,
	ul.mobile_menu li.current-menu-item > a {
		color: ' . photobooth_get_theme_mod('header_links_color') . ';
	}
    header.logo_center .photobooth_menu > li > a {
        line-height: ' . absint(photobooth_get_theme_mod('header_menu_font_size')) . 'px;
        padding-bottom: ' . absint(photobooth_get_theme_mod('logo_padding_bottom')) . 'px;
    }
    header .photobooth_menu li .sub-menu a:after {
        background-color: rgba(' . photobooth_hex2rgb(photobooth_get_theme_mod('header_sub_menu_spacer_color')) . ', 0.8);
    }
    header.logo_center .photobooth_menu > li > a:after {
        margin-top: ' . (absint(photobooth_get_theme_mod('header_menu_font_size')) + 5) . 'px;
    }
	.post-password-form  p {
		color: ' . photobooth_get_theme_mod('protected_text_color') . ';
	}
	.post-password-form input[type="password"] {
		border-color: ' . photobooth_get_theme_mod('protected_text_color') . ';
		color: ' . photobooth_get_theme_mod('protected_text_color') . ';
	}
	.post-password-form input[type="password"]::-webkit-input-placeholder {
		color: ' . photobooth_get_theme_mod('protected_text_color') . ';
	}
	.post-password-form input[type="password"]::-moz-placeholder {
		color: ' . photobooth_get_theme_mod('protected_text_color') . ';
	}

    .error404 h1, .error404 h2, .error404 h3, .error404 h4, .error404 h5, .error404 h6, .error404 p, .error404 header .photobooth_menu > li > a, .error404 header .photobooth_text_logo a,
    .photobooth_404_home_btn {
        color: ' . photobooth_get_theme_mod('404_text_color') . ';
    }
    .error404 header .photobooth_menu > li > a::after {
        background-color: ' . photobooth_get_theme_mod('404_text_color') . ';
    }
    .page-template-page-coming-soon h1, .page-template-page-coming-soon h2, .page-template-page-coming-soon h3, .page-template-page-coming-soon h4, .page-template-page-coming-soon h5, .page-template-page-coming-soon h6, .page-template-page-coming-soon p, .page-template-page-coming-soon div, .page-template-page-coming-soon header .photobooth_text_logo a {
        color: ' . photobooth_get_theme_mod('cs_text_color') . ';
    }
    ';

    # Footer
    echo '
    footer {
        background-color: ' . photobooth_get_theme_mod('footer_bg_color') . ';
        color: ' . photobooth_get_theme_mod('footer_text_color') . ';
    }
    footer ul {
	    color: ' . photobooth_get_theme_mod('footer_links_color') . ';
	}
    footer a {
        color: ' . photobooth_get_theme_mod('footer_links_color') . ';
    }
    footer a:hover {
        color: ' . photobooth_get_theme_mod('footer_links_hover_color') . ';
    }
    ul.wp-block-latest-posts li a,
    ul.wp-block-archives-list li a,
    ul.wp-block-categories-list li a,
	.photobooth_sidebar .widget a, .testimonials_content {
		color: ' . photobooth_get_theme_mod('color_content') . ';
	}
    ul.wp-block-latest-posts li a:hover,
    ul.wp-block-archives-list li a:hover,
    ul.wp-block-categories-list li a:hover,
	.photobooth_sidebar .widget_photoboothfeaturedposts a:hover {
		color: ' . photobooth_get_theme_mod('color_main') . ';
	}
	footer .widgettitle {
		color: ' . photobooth_get_theme_mod('footer_headings_color') . ';
	}
    footer .photobooth_copyright {
        padding-top: ' . absint(photobooth_get_theme_mod('footer_padding_top')) . 'px;
        padding-bottom: ' . absint(photobooth_get_theme_mod('footer_padding_bottom')) . 'px;
    }
    footer .photobooth_copy_text {
        line-height: ' . ((absint(photobooth_get_theme_mod('footer_padding_top')) + absint(photobooth_get_theme_mod('footer_padding_bottom'))) - 1) . 'px;
    }
    .copyright_area {
	    background-color: ' . photobooth_get_theme_mod('footer_copyright_bgcolor') . ';
	}
    footer .photobooth_copy_text {
        color: ' . photobooth_get_theme_mod('footer_copyright_color') . ';
    }
    footer .widgets_area {
        padding-top: ' . absint(photobooth_get_theme_mod('footer_widgets_padding_top')) . 'px;
        padding-bottom: ' . absint(photobooth_get_theme_mod('footer_widgets_padding_bottom')) . 'px;
    }
    ';

    # Other
    echo '
	.photobooth_sidebar .widget a:hover {
		color: ' . photobooth_get_theme_mod('color_main') . ';			
	}
	.widget_calendar caption,
	.widget_calendar th {
		color: ' . photobooth_get_theme_mod('color_headings') . ';
	}
	.photobooth_sidebar .tagcloud a {
		background-color: ' . photobooth_get_theme_mod('body_bg_color') . ';
		color: ' . photobooth_get_theme_mod('color_content') . ';
	}
	.photobooth_sidebar .tagcloud a:hover {
		background-color: ' . photobooth_get_theme_mod('color_main') . ';
		color: ' . photobooth_get_theme_mod('body_bg_color') . ';
		border-color: ' . photobooth_get_theme_mod('color_main') . ';
	}	
	footer .tagcloud a:hover {
		border-color: ' . photobooth_get_theme_mod('footer_text_color') . ';
	}
	
    blockquote,
    .form-submit input,
    .wpcf7-submit,
    .page-numbers:hover,
    .photobooth_button, 
    a.photobooth_button,
    input[type="button"],
	input[type="reset"],
	input[type="submit"] {
        border-color: ' . photobooth_get_theme_mod('color_main') . ';
    }
    .wp-block-button.is-style-outline a.wp-block-button__link {
        border-color: ' . photobooth_get_theme_mod('color_main') . ';
    }
    body .wp-block-button a.wp-block-button__link:hover {
        border-color: ' . photobooth_get_theme_mod('color_main') . ';
        background: ' . photobooth_get_theme_mod('color_main') . ';
        color: ' . photobooth_get_theme_mod('body_bg_color') . ';
    }
    .photobooth_meta a {
        color: ' . photobooth_get_theme_mod('color_content') . ';
    }
    .owl-theme .owl-controls .owl-page span, 
	.mobile_header {
        background-color: ' . photobooth_get_theme_mod('color_content') . ';
    }
	
	input[type="tel"]::-webkit-input-placeholder,
	input[type="search"]::-webkit-input-placeholder,
	input[type="text"]::-webkit-input-placeholder,
	input[type="number"]::-webkit-input-placeholder,
	input[type="email"]::-webkit-input-placeholder,
	input[type="password"]::-webkit-input-placeholder,
	textarea::-webkit-input-placeholder {
		color:' . photobooth_get_theme_mod('color_content') . ';
	}
	input[type="search"]::-moz-placeholder {
		color:' . photobooth_get_theme_mod('color_content') . ';
	}
	input[type="text"]::-moz-placeholder {
		color:' . photobooth_get_theme_mod('color_content') . ';
	}
	input[type="number"]::-moz-placeholder {
		color:' . photobooth_get_theme_mod('color_content') . ';
	}
	input[type="tel"]::-moz-placeholder {
		color:' . photobooth_get_theme_mod('color_content') . ';
	}
	input[type="email"]::-moz-placeholder {
		color:' . photobooth_get_theme_mod('color_content') . ';
	}
	input[type="password"]::-moz-placeholder {
		color:' . photobooth_get_theme_mod('color_content') . ';
	}
	textarea::-moz-placeholder {
		color:' . photobooth_get_theme_mod('color_content') . ';
	}	
	.pm_contact_form span.wpcf7-not-valid-tip {
		color: ' . photobooth_get_theme_mod('color_main') . ';
	}
	
	/* Price Table Module */
	.photobooth_price_item_price_block span,
	.photobooth_price_item_content p,
	.photobooth_price_item_content {
		color: ' . photobooth_get_theme_mod('color_headings') . ';
	} 
    .photobooth_price_table_item.most_popular_item .photobooth_button,
	.photobooth_price_table_item .photobooth_button:hover,
	.photobooth_button:hover, a.photobooth_button:hover,
	.photobooth_most_popular_label {
        background-color: ' . photobooth_get_theme_mod('color_main') . ';
    }
	
	/* Albums Slider */
	.photobooth_albums_slider body {
		background-color: rgba(' . photobooth_hex2rgb(photobooth_get_theme_mod('header_bg_color')) . ', 1);
	}
	
	/* Preloader */
	.photobooth_preloader_wrapper {
		background-color: ' . photobooth_get_theme_mod('body_bg_color') . ';
	}
	.ball-pulse-sync > div {
		background-color: ' . photobooth_get_theme_mod('color_main') . ';
	}
	
	.photobooth_button:hover, a.photobooth_button:hover, 
	.most_popular_item .photobooth_button, .most_popular_item a.photobooth_button,
	.photobooth_most_popular_label {
		color: ' . photobooth_get_theme_mod('body_bg_color') . ';
	}

	/* Header Socials */
	.photobooth_social_icons_list li a,
	.photobooth_social_icons_list li a:hover {
		color:' . photobooth_get_theme_mod('header_links_color') . ';
	}
	.photobooth_transparent_header .photobooth_social_icons_list li a,
	.photobooth_transparent_header .photobooth_social_icons_list li a:hover {
		color:' . photobooth_get_theme_mod('header_links_color_transparent_header') . ';
	}
    ';
	if (photobooth_get_theme_mod('default_overlay_state') == 'hide') {
		echo '
			.photobooth_even_slide:before,
			.photobooth_odd_slide:before,
			.photobooth_fullscreen_slider:before,
			.photobooth_ribbon_slider:before,
			.photobooth_single_album_head:before,
			.photobooth_albums_slide:before {
				display:none;
			}

		';
	}

	# WooCommerce
	if (class_exists('WooCommerce')) {
		$shop_color_message = esc_attr(photobooth_get_theme_mod('shop_color_message'));
		$shop_color_info = esc_attr(photobooth_get_theme_mod('shop_color_info'));
		$shop_color_error = esc_attr(photobooth_get_theme_mod('shop_color_error'));
		$shop_color_required = esc_attr(photobooth_get_theme_mod('shop_color_required'));
		$shop_color_remove = esc_attr(photobooth_get_theme_mod('shop_color_remove'));

		$color_button = "#ffffff";
		$bg_button = "#303342";

		echo '
			body a.reset_variations,
			body button.button,
			body button.button.alt,
			body .photobooth_container .checkout-button.button,
			body .woocommerce .cart .button, 
			body .woocommerce .cart input.button,
			body.woocommerce ul.products li.product a.added_to_cart.wc-forward,
			body .photobooth_container #respond input#submit, 
			body .photobooth_container a.button, 
			body .photobooth_container button.button, 
			body .photobooth_container input.button
			body .photobooth_container .button,
			.woocommerce a.woocommerce-MyAccount-downloads-file.button,
			.woocommerce p.order-again a.button,
			body .photobooth_container .widget_price_filter .price_slider_amount .button {
                background-color: rgba(' . photobooth_hex2rgb(photobooth_get_theme_mod('color_main')) . ', 0);
                color: ' . photobooth_get_theme_mod('color_main') . ';
                border-color: rgba(' . photobooth_hex2rgb(photobooth_get_theme_mod('color_main')) . ', 1);
			}
			body a.reset_variations:hover,
			.woocommerce a.woocommerce-MyAccount-downloads-file.button:hover,
			body button.button:hover,
			body button.button.alt:hover,
			body .photobooth_container .checkout-button.button:hover,
			body .woocommerce .cart .button:hover,
			body .woocommerce .cart input.button:hover,
			body.woocommerce ul.products li.product a.added_to_cart.wc-forward:hover,
			body .photobooth_container #respond input#submit:hover, 
			body .photobooth_container a.button:hover,
			body .photobooth_container .woocommerce a.button:hover,
			body .photobooth_container button.button:hover, 
			body .photobooth_container input.button:hover
			body .photobooth_container .button:hover,
			body .photobooth_container .widget_price_filter .price_slider_amount .button:hover {
				background-color: rgba(' . photobooth_hex2rgb(photobooth_get_theme_mod('color_main')) . ', 1);
                color: ' . photobooth_get_theme_mod('body_bg_color') . ';
                border-color: rgba(' . photobooth_hex2rgb(photobooth_get_theme_mod('color_main')) . ', 1);
			}
            html .woocommerce div.product form.cart .button,
			html .woocommerce a.woocommerce-MyAccount-downloads-file.button.alt,
			html .woocommerce #respond input#submit.alt, 
			html .woocommerce a.button.alt, 
			html .woocommerce button.button.alt, 
			html .woocommerce input.button.alt,
			html body button.button.alt {
				background-color: rgba(' . photobooth_hex2rgb(photobooth_get_theme_mod('color_main')) . ', 1);
                color: ' . photobooth_get_theme_mod('body_bg_color') . ';
                border: 2px solid rgba(' . photobooth_hex2rgb(photobooth_get_theme_mod('color_main')) . ', 1);
			}
            html .woocommerce div.product form.cart .button:hover,
			html .woocommerce a.woocommerce-MyAccount-downloads-file.button.alt:hover,
			html .woocommerce #respond input#submit.alt:hover, 
			html .woocommerce a.button.alt:hover, 
			html .woocommerce button.button.alt:hover, 
			html .woocommerce input.button.alt:hover,
			html body button.button.alt:hover {
                background-color: rgba(' . photobooth_hex2rgb(photobooth_get_theme_mod('color_main')) . ', 0);
                color: ' . photobooth_get_theme_mod('color_main') . ';
                border: 2px solid rgba(' . photobooth_hex2rgb(photobooth_get_theme_mod('color_main')) . ', 1);
			}
            
            body.woocommerce .photobooth_container nav.woocommerce-pagination ul.page-numbers li span {
                color: ' . photobooth_get_theme_mod('color_main') . ';
            }
            body.woocommerce .photobooth_container nav.woocommerce-pagination ul.page-numbers li a:hover {
				background-color: rgba(' . photobooth_hex2rgb(photobooth_get_theme_mod('color_main')) . ', 1);
                color: ' . photobooth_get_theme_mod('body_bg_color') . ';
                border-color: rgba(' . photobooth_hex2rgb(photobooth_get_theme_mod('color_main')) . ', 1);
            }
            
			body .photobooth_container ul.cart_list li a, 
			body .photobooth_container ul.product_list_widget li a {

			}
			body .photobooth_container ul.cart_list li a:hover, 
			body .photobooth_container ul.product_list_widget li a:hover {

			}
			body .photobooth_container ul.cart_list li, 
			body .photobooth_container ul.product_list_widget li {
                color: ' . photobooth_get_theme_mod('color_main') . ';
			}
			body .photobooth_container ul.cart_list li:first-child, 
			body .photobooth_container ul.product_list_widget li:first-child {
				
			}
			body .photobooth_container .widget_shopping_cart .total, 
			.photobooth_container .woocommerce.widget_shopping_cart .total {
				
			}
			body .photobooth_container .widget_shopping_cart .total strong, 
			.photobooth_container .woocommerce.widget_shopping_cart .total strong {
				
			}
			body .photobooth_container .widget_price_filter .price_slider_wrapper .ui-widget-content {
                background: #e8eaee;
			}
			body .photobooth_container .widget_price_filter .ui-slider .ui-slider-handle,
			body .photobooth_container .widget_price_filter .ui-slider .ui-slider-range {
                background: ' . photobooth_get_theme_mod('color_main') . ';
			}
			
			.woocommerce ul.products li.product .onsale,
			.photobooth_tiny .product .onsale {
                background: ' . photobooth_get_theme_mod('color_main') . ';
                color: ' . photobooth_get_theme_mod('body_bg_color') . ';
			}
			
			.woocommerce ul.products li.product a .woocommerce-loop-product__title,
			body.woocommerce .photobooth_container ul.products li.product a .woocommerce-loop-category__title, 
			body.woocommerce .photobooth_container ul.products li.product a .woocommerce-loop-product__title, 
			body.woocommerce .photobooth_container ul.products li.product a h3 {
                color: ' . photobooth_get_theme_mod('color_headings') . ';
			}
			.woocommerce ul.products li.product a:hover .woocommerce-loop-product__title,
			body.woocommerce .photobooth_container ul.products li.product a:hover .woocommerce-loop-category__title, 
			body.woocommerce .photobooth_container ul.products li.product a:hover .woocommerce-loop-product__title, 
			body.woocommerce .photobooth_container ul.products li.product a:hover h3 {
                color: ' . photobooth_get_theme_mod('color_main') . ';
			}
			
			body .wp-block-woocommerce-products ul.products li.product span.price,
			body .wp-block-woocommerce-products ul.products li.product span.price > del,
			body .wp-block-woocommerce-products ul.products li.product span.price > ins,
			body.woocommerce .photobooth_container div.product p.price,
			body.woocommerce .photobooth_container div.product span.price,
			body.woocommerce .photobooth_container div.product p.price > del, 
			body.woocommerce .photobooth_container div.product span.price > del,
			body.woocommerce .photobooth_container div.product p.price > ins, 
			body.woocommerce .photobooth_container div.product span.price > ins,
			body.woocommerce .photobooth_container div.product p.price > span, 
			body.woocommerce .photobooth_container div.product span.price > span,        
			body.woocommerce .photobooth_container ul.products li.product .price,
			body.woocommerce .photobooth_container ul.products li.product .price > del,
			body.woocommerce .photobooth_container ul.products li.product .price > ins,
			body.woocommerce .photobooth_container ul.products li.product .price > span {
                color: ' . photobooth_get_theme_mod('color_main') . ';
			}
			body.woocommerce .photobooth_container .woocommerce-result-count, 
			body.woocommerce-page .photobooth_container .woocommerce-result-count {
                font-family: "' . photobooth_get_theme_mod('main_font_family') . '";
                font-size: ' . absint(photobooth_get_theme_mod('main_font_size')) . 'px;
                line-height: ' . absint(photobooth_get_theme_mod('main_line_height')) . 'px;
                font-weight: ' . absint(photobooth_get_theme_mod('main_font_weight')) . ';
                color: ' . photobooth_get_theme_mod('color_content') . ';
			}
			            
			.woocommerce a.remove,
			body .photobooth_container .widget_shopping_cart .cart_list li a.remove, 
			.photobooth_container .woocommerce.widget_shopping_cart .cart_list li a.remove {
                background-color: rgba(' . photobooth_hex2rgb(photobooth_get_theme_mod('color_main')) . ', 0);
			}
			.woocommerce a.remove:hover,
			body .photobooth_container .widget_shopping_cart .cart_list li a.remove:hover, 
			.photobooth_container .woocommerce.widget_shopping_cart .cart_list li a.remove:hover {
                background-color: rgba(' . photobooth_hex2rgb(photobooth_get_theme_mod('color_main')) . ', 1);
			}
            
            html #add_payment_method #payment div.payment_box, 
            html .woocommerce-cart #payment div.payment_box, 
            html .woocommerce-checkout #payment div.payment_box {
                background: '. photobooth_get_theme_mod('color_main') .';
                color: ' . photobooth_get_theme_mod('body_bg_color') . ';
            }
            #add_payment_method #payment div.payment_box::before, 
            .woocommerce-cart #payment div.payment_box::before, 
            .woocommerce-checkout #payment div.payment_box::before {
                border-color: transparent transparent '. photobooth_get_theme_mod('color_main') .' transparent;
            }
            
            body nav.woocommerce-MyAccount-navigation ul a:hover,
            html nav.woocommerce-MyAccount-navigation ul li.is-active a {
                color: ' . photobooth_get_theme_mod('color_main') . ';
            }
            
            body.woocommerce p.stars a {
                color: ' . photobooth_get_theme_mod('color_main') . ';
            }

            body.woocommerce .photobooth_container div.product .woocommerce-tabs ul.tabs li {
                border: 2px solid ' . photobooth_get_theme_mod('color_main') . ';
                border-bottom: none;
            }
            html .woocommerce div.product div.woocommerce-tabs ul.tabs:before {
                border-bottom: 2px solid ' . photobooth_get_theme_mod('color_main') . ';
            }            
            
            body.woocommerce .photobooth_container div.product .woocommerce-tabs ul.tabs li,
            .woocommerce div.product .woocommerce-tabs ul.tabs li.active {
                background: ' . photobooth_get_theme_mod('body_bg_color') . ';
            }
            
            .woocommerce div.product .woocommerce-tabs ul.tabs li:hover a {
                background: ' . photobooth_get_theme_mod('color_main') . ';
                color: ' . photobooth_get_theme_mod('body_bg_color') . ';
            }
            .woocommerce div.product .woocommerce-tabs ul.tabs li.active:hover a {
                background: ' . photobooth_get_theme_mod('body_bg_color') . ';
                color: ' . photobooth_get_theme_mod('color_main') . ';
            }
            .woocommerce div.product .woocommerce-tabs ul.tabs li.active::before {
                box-shadow: 2px 2px 0 ' . photobooth_get_theme_mod('body_bg_color') . ';
            }
            body.woocommerce #reviews #comments ol.commentlist li .comment-text div.star-rating {
                color: ' . photobooth_get_theme_mod('color_main') . ';
            }
            
            body.woocommerce #reviews #comments ol.commentlist li .comment-text .woocommerce-review__author,
            body.woocommerce #reviews #comments ol.commentlist li .comment-text .woocommerce-review__published-date {
                color: ' . photobooth_get_theme_mod('color_content') . ';
            }
            .blockUI.blockOverlay {
                background: ' . photobooth_get_theme_mod('body_bg_color') . '!important;
            }
            
            html .woocommerce div.product p.stock,
            .photobooth_container div.product .summary.entry-summary .woocommerce-product-rating:after,
            body.woocommerce .woocommerce-product-rating .star-rating,
            html .woocommerce a:hover {
                color: ' . photobooth_get_theme_mod('color_main') . ';
            }
		';	
	}
	
    echo '</style>';
}