"use strict";

function photobooth_reactivate_sortable() {
    jQuery('.photobooth_text_table_rows').sortable(
        {
            handle: '.photobooth_text_table_row_move',
        }
    );
}

function photobooth_rwmb_and_customizer_condition() {
    jQuery("[data-dependency-id]").each(function (index) {
        var photobooth_target = jQuery(this).attr('data-dependency-id');
        var photobooth_needed_val = jQuery(this).attr('data-dependency-val');

        if (jQuery(this).hasClass('photobooth_dependency_customizer')) {
            var photobooth_target_status = jQuery('#customize-control-' + photobooth_target).find('select').val();
            var photobooth_dependency_elem_cont = jQuery(this).parents('.customize-control');
        } else {
            var photobooth_target_status = jQuery('#' + photobooth_target).val();
            var photobooth_dependency_elem_cont = jQuery(this).parents('.rwmb-field');
        }

        if (photobooth_needed_val == photobooth_target_status) {
            photobooth_dependency_elem_cont.show('fast');
        } else {
            photobooth_dependency_elem_cont.hide('fast');
        }
    });
}

function photobooth_hide_unnecessary_options() {
    if (jQuery('.photobooth_this_template_file').size() > 0) {
        var photobooth_this_template_file = jQuery('.photobooth_this_template_file').val();
        jQuery("[data-show-on-template-file]").each(function (index) {
            var photobooth_unnecessary_target = jQuery(this).attr('data-show-on-template-file');
            if (photobooth_unnecessary_target.indexOf(',') > -1) {
                var photobooth_unnecessary_target_array = photobooth_unnecessary_target.split(',');
                var photobooth_rwmb_del_status = 'not find';
                jQuery.each(photobooth_unnecessary_target_array, function (i, val) {
                    if (photobooth_this_template_file == val.trim()) {
                        photobooth_rwmb_del_status = 'find';
                    }
                });
                if (photobooth_rwmb_del_status == 'not find') {
                    jQuery(this).parents('.rwmb-field').remove();
                }
            } else {
                if (photobooth_this_template_file !== photobooth_unnecessary_target) {
                    jQuery(this).parents('.rwmb-field').remove();
                }
            }
        });
        
        jQuery("[data-hide-on-template-file]").each(function (index) {
            var photobooth_unnecessary_target = jQuery(this).attr('data-hide-on-template-file');
            if (photobooth_unnecessary_target.indexOf(',') > -1) {
                var photobooth_unnecessary_target_array = photobooth_unnecessary_target.split(',');
                var photobooth_rwmb_del_status = 'not find';
                jQuery.each(photobooth_unnecessary_target_array, function (i, val) {
                    if (photobooth_this_template_file == val.trim()) {
                        photobooth_rwmb_del_status = 'find';
                    }
                });
                if (photobooth_rwmb_del_status == 'find') {
                    jQuery(this).parents('.rwmb-field').remove();
                }
            } else {
                if (photobooth_this_template_file == photobooth_unnecessary_target) {
                    jQuery(this).parents('.rwmb-field').remove();
                }
            }
        });
    }
}

jQuery(document).on('change', '#post-format-selector-0', function(){
	photobooth_onchange_post_formats2(jQuery(this).val());
});

function photobooth_onchange_post_formats2(val) {
    jQuery('#image-post-format-settings, #video-post-format-settings, #audio-past-format-settings, #quote-post-format-settings, #link-post-format-settings, #gallery-post-format-settings').hide('fast');
	
	if (val == 'gallery') {
		jQuery('#gallery-post-format-settings').show('fast');
	}
	if (val == 'link') {
		jQuery('#link-post-format-settings').show('fast');
	}
	if (val == 'image') {
		jQuery('#image-post-format-settings').show('fast');
	}
	if (val == 'quote') {
		jQuery('#quote-post-format-settings').show('fast');
	}
	if (val == 'standard') {
        jQuery('#image-post-format-settings, #video-post-format-settings, #audio-past-format-settings, #quote-post-format-settings, #link-post-format-settings, #gallery-post-format-settings').hide('fast');
	}
	if (val == 'video') {
		jQuery('#video-post-format-settings').show('fast');
	}
	if (val == 'audio') {
		jQuery('#audio-past-format-settings').show('fast');
	}
}

function photobooth_onchange_post_formats() {
    var photobooth_post_format = jQuery('#post-formats-select input:checked').val();
    jQuery('#image-post-format-settings, #video-post-format-settings, #audio-post-format-settings, #quote-post-format-settings').hide('fast');
    if (photobooth_post_format == 'standard') {
        jQuery('#image-post-format-settings, #video-post-format-settings, #audio-post-format-settings, #quote-post-format-settings').hide('fast');
    }
    if (photobooth_post_format == 'image') {
        jQuery('#image-post-format-settings').show('fast');
    }
    if (photobooth_post_format == 'video') {
        jQuery('#video-post-format-settings').show('fast');
    }
    if (photobooth_post_format == 'audio') {
        jQuery('#audio-post-format-settings').show('fast');
    }
    if (photobooth_post_format == 'quote') {
        jQuery('#quote-post-format-settings').show('fast');
    }
	
	if (jQuery('#post-formats-select').length < 1) {
		// Body Class
		if (jQuery('body').hasClass('post-type-gallery')) {
			jQuery('#gallery-post-format-settings').show('fast');
			setTimeout("jQuery('#gallery-post-format-settings').show('fast')",100);
		} else if (jQuery('body').hasClass('post-type-image')) {
			jQuery('#image-post-format-settings').show('fast');
			setTimeout("jQuery('#image-post-format-settings').show('fast')",100);
		} else if (jQuery('body').hasClass('post-type-video')) {
			jQuery('#video-post-format-settings').show('fast');
			setTimeout("jQuery('#video-post-format-settings').show('fast')",100);
		} else if (jQuery('body').hasClass('post-type-audio')) {
			jQuery('#audio-past-format-settings').show('fast');
			setTimeout("jQuery('#audio-post-format-settings').show('fast')",100);
		} else if (jQuery('body').hasClass('post-type-quote')) {
			jQuery('#quote-post-format-settings').show('fast');
			setTimeout("jQuery('#quote-post-format-settings').show('fast')",100);
		} else if (jQuery('body').hasClass('post-type-link')) {
			jQuery('#link-post-format-settings').show('fast');
			setTimeout("jQuery('#link-post-format-settings').show('fast')",100);
		} else {
			jQuery('#image-post-format-settings, #video-post-format-settings, #audio-past-format-settings, #quote-post-format-settings, #link-post-format-settings, #gallery-post-format-settings').hide('fast');
		}
	}
}

jQuery(document).ready(function () {
    photobooth_onchange_post_formats();
    photobooth_rwmb_and_customizer_condition();
    photobooth_hide_unnecessary_options();

    jQuery('.rwmb-select, .customize-control-select select').change(function () {
        photobooth_rwmb_and_customizer_condition();
    });

    jQuery('#post-formats-select input').on("click", function () {
        photobooth_onchange_post_formats();
    });
    
	jQuery('.photobooth_reset_all_settings').on("click", function () {
	    if (confirm("Are you sure? All settings will be reset to default state.")) {
			jQuery.post(photobooth_admin_ajax_url, {
	            action: 'photobooth_reset_all_settings'
	        }, function (response) {
	            alert(response);
	        });
		}
	});

    if (jQuery('#page_template').size() > 0 && jQuery('#page_template').val() !== 'default') {
        jQuery('body').addClass(jQuery('#page_template').val().split('.')[0]);
    }

    jQuery(document).on("click", '.photobooth_text_table_add_row', function () {
        var photobooth_text_table_data_storage_name = jQuery(this).parents('.widget-content').find('.photobooth_text_table_data_storage_name').val();
        var photobooth_text_table_name_text = jQuery(this).parents('.widget-content').find('.photobooth_text_table_name_text').val();
        var photobooth_text_table_value_text = jQuery(this).parents('.widget-content').find('.photobooth_text_table_value_text').val();

        jQuery(this).parents('.widget-content').find('.photobooth_text_table_rows').append('<div class="photobooth_text_table_row photobooth_dn"><div class="photobooth_50_dib"><label>' + photobooth_text_table_name_text + ':</label><input class="widefat" type="text" name="' + photobooth_text_table_data_storage_name + '[][name]" value=""></div><div class="photobooth_50_dib"><label>' + photobooth_text_table_value_text + ':</label><textarea class="widefat" type="text" name="' + photobooth_text_table_data_storage_name + '[][value]"></textarea></div><div class="photobooth_text_table_row_remove"><i class="fa fa-trash"></i></div><div class="photobooth_text_table_row_move"><i class="fa fa-arrows"></i></div></div>');
        jQuery('.photobooth_dn').slideDown("fast").removeClass('photobooth_dn');
    });

    jQuery(document).on("click", '.photobooth_text_table_row_remove', function () {
        jQuery(this).parents('.photobooth_text_table_row').slideUp("normal", function () {
            jQuery(this).remove();
        });
    });

    jQuery(document).on("click", '.widget-control-save', function () {
        setTimeout(function () {
            photobooth_reactivate_sortable()
        }, 1000);
        setTimeout(function () {
            photobooth_reactivate_sortable()
        }, 2000);
        setTimeout(function () {
            photobooth_reactivate_sortable()
        }, 3000);
    });

    photobooth_reactivate_sortable();
});