/* SORTING */

"use strict";
var $photobooth_container = jQuery('.photobooth_grid_inner'),
	photobooth_grid_array = [],
	$photobooth_grid_gallery_array = jQuery('.photobooth_grid_gallery_array'),
	$photobooth_grid_wrapper = jQuery('.photobooth_grid_wrapper');

$photobooth_grid_wrapper.each(function() {
	var $this_obj = jQuery(this);
	photobooth_grid_array["photobooth_grid_" + $this_obj.attr('data-uniqid')] = {};
	var this_array = photobooth_grid_array["photobooth_grid_" + $this_obj.attr('data-uniqid')];
	this_array.id = jQuery(this).attr('data-uniqid');
	this_array.showed = 0;
	this_array.items = [];
	
	var this_items_array = this_array.items;
	if ($this_obj.find('.photobooth_grid_gallery_array').length) {
		$this_obj.find('.photobooth_grid_gallery_array').each(function() {
			jQuery(this).find('.photobooth_grid_array_item').each(function() {
				var $this = jQuery(this),
					photobooth_grid_item = {};
				photobooth_grid_item.slide_type = $this.attr('data-type');
				photobooth_grid_item.img = $this.attr('data-img');
				photobooth_grid_item.thmb = $this.attr('data-thmb');
				photobooth_grid_item.title = $this.attr('data-title');
				photobooth_grid_item.alt = $this.attr('data-alt');
				photobooth_grid_item.overlay = $this.attr('data-overlay');
				photobooth_grid_item.counter = $this.attr('data-counter');
				photobooth_grid_item.size = $this.attr('data-size');
				photobooth_grid_item.gs = $this.attr('data-greyscale');
				this_items_array.push(photobooth_grid_item);
			});
			jQuery(this).remove();
		});
	}
	this_array.obj = jQuery('.photobooth_grid_'+this_array.id);
    
	this_array.init = function () {
		var this_obj = this;

        if (jQuery('.photobooth_isotope_trigger').size() > 0) {
            if (jQuery('.photobooth_isotope_trigger').hasClass('is_masonry')) {
                jQuery('.photobooth_isotope_trigger').isotope({
                    layoutMode: 'masonry'
                });
            } else {
                jQuery('.photobooth_isotope_trigger').isotope({
                    layoutMode: 'fitRows'
                });
            }
        }
        
		this.obj.find('.grid_load_more').on("click", function () {
			this_obj.loadmore.call(this_obj);
		});
		this.setup.call(this);
		this.preloader.call(this);
	}
	
	this_array.preloader = function() {
		var this_obj = this,
			$this_dom = this.obj;
        $this_dom.find('.photobooth_grid_inner').isotope('layout');
		if ($this_dom.find('.load_anim:first').size() > 0) {
            (function (img, src) {
                img.src = src;
                img.onload = function () {
                    jQuery('.load_anim:first').removeClass('load_anim').removeClass('anim_el').animate({
                        'z-index': '15'
                    }, 200, function() {
                        this_obj.preloader.call(this_obj);
                    });
                };
            }(new Image(), jQuery('.load_anim:first').find('img').attr('src')));
		} else {
			this_obj.setup.call(this_obj);
		}
	}
	
	this_array.setup = function() {
		var this_obj = this,
			$this_dom = this.obj;
		if ($this_dom.find('.photobooth_js_bg_color').length) {
			$this_dom.find('.photobooth_js_bg_color').each(function () {
				jQuery(this).css('background-color', jQuery(this).attr('data-bgcolor'));
			});
		}
        
		var side_padding = Math.floor(parseInt($this_dom.find('.photobooth_grid_inner').attr('data-pad'))/2,10);
		if (photobooth_window.width() < 1200 && side_padding > 20) {
			side_padding = side_padding/2;
		}
		if (photobooth_window.width() < 760 && side_padding > 10) {
			side_padding = 10;
		}
		if (jQuery('.photobooth_single_gallery_grid').length) {
			$this_dom.find('.photobooth_grid_inner').css('margin', side_padding+'px').css('margin-bottom', '0px');
			jQuery('.photobooth_single_gallery_grid').css('padding-bottom', side_padding+'px');
		} else {
			$this_dom.find('.photobooth_grid_inner').css('margin', side_padding+'px').css('margin-top', -1*side_padding+'px');
		}
		if ($this_dom.find('.photobooth_grid_inner').hasClass('side_paddings_on')) {
			$this_dom.find('.photobooth_grid_inner').css('margin-left', -1*side_padding+'px').css('margin-right', -1*side_padding+'px');
		}
		$this_dom.find('.grid-item-inner').css({
			'margin-left' : side_padding+'px',
			'margin-top' : side_padding+'px',
			'margin-right' : side_padding+'px',
			'margin-bottom' : side_padding+'px'
		});
		$this_dom.find('.photobooth_grid_inner').isotope('layout');
		setTimeout("jQuery('.photobooth_grid_inner').isotope('layout')",1000);
	}
							   
	this_array.loadmore = function() {
		var this_obj = this,
			$this_dom = this.obj,
			photobooth_what_to_append = '',		
			photobooth_grid_post_per_page = $this_dom.attr('data-perload'),
			photobooth_uniqid = this.id,
			photobooth_allposts = this.items.length,
			photobooth_count = $this_dom.find('.grid-item').size(),
			photobooth_ins_container = $this_dom.find('.photobooth_grid_inner'),
			photobooth_load_more_button = $this_dom.find('.grid_load_more'),
            photobooth_overlay = photobooth_ins_container.attr('data-overlay');
	
		if (this.showed >= photobooth_allposts) {
			photobooth_load_more_button.slideUp(300);
		} else {
			var photobooth_now_step = this.showed + parseInt(photobooth_grid_post_per_page) - 1;
			if ((photobooth_now_step + 1) < photobooth_allposts) {
				var photobooth_limit = photobooth_now_step;
			} else {
				var photobooth_limit = photobooth_allposts - 1;
				photobooth_load_more_button.slideUp(300);
			}
			
			var photobooth_swipebox_class = '';
			if (jQuery('.photobooth_single_gallery_wrapper ').size() > 0) {
				photobooth_swipebox_class = 'swipebox';
			}
			for (var i = this.showed; i <= photobooth_limit; i++) {
				var gs_class = '';
				if (this.items[i].gs == 'true') {
					var gs_class = 'photobooth_grayscale_img';
				}
				var photobooth_thishref = this.items[i].img,
				photobooth_what_to_append = photobooth_what_to_append +'\
				<div class="grid-item element anim_el anim_el2 load_anim grid_b2p">\
                    <div class="grid-item-inner '+ gs_class +'">\
                        <a href="' + photobooth_thishref +'" class="swipebox" rel="grid_gallery'+ this.id +'" title="'+ this.items[i].title +'"></a>\
                        <img src="'+ this.items[i].thmb +'" alt="' + this.items[i].alt + '" class="grid_thmb"/>\
                        <div class="grid_overlay" style="background-color:'+ photobooth_overlay +'"></div>\
                        <div class="photobooth-img-preloader"></div>\
                    </div>\
				</div>';
                
				photobooth_count++;
				this.showed++;
			}

			var $photobooth_newItems = jQuery(photobooth_what_to_append);

			if (photobooth_ins_container.data('isotope')) {
				photobooth_ins_container.isotope('insert', $photobooth_newItems, function() {
                    photobooth_ins_container.isotope('layout');
				});
			}
            photobooth_ins_container.isotope('layout');
            this_obj.preloader.call(this_obj);
			this_obj.setup.call(this_obj);
		}
		jQuery('.photobooth_grid_inner').isotope("layout");
	}
    
});

if (jQuery('.photobooth_grid_inner').size() > 0) {
	var $photobooth_container = jQuery('.photobooth_grid_inner');
}

jQuery(document).ready(function(){
	$photobooth_grid_wrapper.each(function() {
		var $this_obj = jQuery(this),
			this_obj = photobooth_grid_array["photobooth_grid_" + $this_obj.attr('data-uniqid')];
		this_obj.init.call(this_obj);
	});
});

jQuery(window).load(function () {
	$photobooth_grid_wrapper.each(function() {
		var $this_obj = jQuery(this),
			this_obj = photobooth_grid_array["photobooth_grid_" + $this_obj.attr('data-uniqid')];
		this_obj.setup.call(this_obj);
	});
});

jQuery(window).resize(function () {
	$photobooth_grid_wrapper.each(function() {
		var $this_obj = jQuery(this),
			this_obj = photobooth_grid_array["photobooth_grid_" + $this_obj.attr('data-uniqid')];
		this_obj.setup.call(this_obj);
	});
});