"use strict";

var photobooth_window = jQuery(window),
	photobooth_html = jQuery('html');
jQuery(document).ready(function () {
    if (jQuery('.photobooth_album_post_loading').size() > 0) {
        photobooth_albums_preload();
    }
    if (jQuery('#wpadminbar').size() > 0) {
        jQuery('html').addClass('has_admin_bar');
    }
	//Preloader
	if (jQuery('.photobooth_preloader_wrapper').size() > 0) {
		jQuery('.photobooth_preloader_wrapper').addClass('run_preloader');
	}
	
    //Menu
    if (jQuery('.mobile_header').size() > 0) {
        jQuery('.mobile_header').after('<div class="mobile_menu_wrapper"><ul class="mobile_menu container"/></div>');
        jQuery('.mobile_menu').html(jQuery('.photobooth_menu_cont').find('ul.photobooth_menu').html());
		if (jQuery('.photobooth_social_icons_item').size() > 0) {
			jQuery('.mobile_menu_wrapper').prepend('<div class="photobooth_social_icons_mobile"></div>');
			jQuery('.photobooth_social_icons_mobile').html(jQuery('.photobooth_social_icons').html());
		}
        jQuery('.mobile_menu_wrapper').hide();
        jQuery('.btn_mobile_menu').on('click', function () {
            jQuery('.mobile_menu_wrapper').stop().slideToggle(300);
            jQuery('.photobooth_header').toggleClass('opened');
        });
    }
    photobooth_theme_setup();
    jQuery(".photobooth_menu > li").hover(
        function () {
            jQuery(this).addClass('photobooth_menu_active');
        }, function () {
            jQuery(this).removeClass('photobooth_menu_active');
        }
    );
    if (jQuery('.photobooth_js_bg_color').size() > 0) {
        jQuery('.photobooth_js_bg_color').each(function () {
            jQuery(this).css('background-color', jQuery(this).attr('data-bgcolor'));
        });
    }
    if (jQuery('.photobooth_js_bg_image').size() > 0) {
        jQuery('.photobooth_js_bg_image').each(function () {
            jQuery(this).css('background-image', 'url(' + jQuery(this).attr('data-src') + ')');
        });
    }
    if (jQuery('.photobooth_js_color').size() > 0) {
        jQuery('.photobooth_js_color').each(function () {
            jQuery(this).css('color', jQuery(this).attr('data-color'));
        });
    }

    if (jQuery('.swipebox').size() > 0) {
        jQuery('html').addClass('photobooth_swipe_box');
        jQuery('.swipebox').swipebox({
			removeBarsOnMobile : false,
            afterOpen: function () {
                photobooth_setup_box();
            }
        });
    }
    if (jQuery('.photobooth_image_carousel').size() > 0) {
        jQuery(".photobooth_image_carousel").each(function () {
            var setPad = parseInt(jQuery(this).attr('data-padding')),
                autoplay = jQuery(this).attr('data-autoplay'),
                speed = parseInt(jQuery(this).attr('data-speed')),
                onScreen = parseInt(jQuery(this).attr('data-onScreen'));
            jQuery(this).css({
                'padding-top': setPad + 'px',
                'padding-bottom': setPad + 'px'
            });
            jQuery(this).on("initialized.owl.carousel", function (e) {
                jQuery(this).css("opacity", "1");
            });
            jQuery(this).owlCarousel(
                {
                    center: true,
                    lazyLoad: true,
                    loop: true,
                    autoplay: autoplay,
                    autoplayTimeout: speed,
                    autoplayHoverPause: true,
                    navigation: false,
                    margin: setPad,
                    responsive: {
                        // breakpoint from 0 up
                        0: {
                            items: 1.5
                        },
                        760: {
                            items: onScreen
                        }
                    }
                }
            );
        });
    }
    if (jQuery('.photobooth_testimonials_slider').size() > 0) {
        jQuery(".photobooth_testimonials_slider").each(function () {
            var autoplay = jQuery(this).attr('data-autoplay'),
            	navigation = jQuery(this).attr('data-navigation'),
                speed = parseInt(jQuery(this).attr('data-speed'));
            jQuery(this).on("initialized.owl.carousel", function (e) {
                jQuery(this).css("opacity", "1");
            });
            jQuery(this).owlCarousel(
                {
                    items: 1,
                    autoHeight: true,
                    center: true,
                    lazyLoad: true,
                    loop: true,
                    autoplay: JSON.parse(autoplay),
                    autoplayTimeout: speed,
                    autoplayHoverPause: true,
                    navigation: false,
                    dots: JSON.parse(navigation)
                }
            );
        });
    }
    if (jQuery('.photobooth_works_slider').size() > 0) {
        jQuery(".photobooth_works_slider").each(function () {
            var autoplay = jQuery(this).attr('data-autoplay'),
                speed = parseInt(jQuery(this).attr('data-speed'));
            jQuery(this).on("initialized.owl.carousel", function (e) {
                jQuery(this).css("opacity", "1");
            });
            jQuery(this).owlCarousel(
                {
                    items: 1,
                    autoHeight: true,
                    center: true,
                    lazyLoad: true,
                    loop: true,
                    autoplay: autoplay,
                    autoplayTimeout: speed,
                    autoplayHoverPause: true,
                    navigation: false,
                    margin: 30
                }
            );
        });
    }
    if (jQuery('.photobooth_single_album_head').size() > 0) {
        setup_photobooth_single_album();
        jQuery('html').addClass('photobooth_single_album');

        if (photobooth_window.scrollTop() > 10) {
            jQuery('html').addClass('header_scrolled');
        }
        photobooth_window.on('scroll', function () {
            if (photobooth_window.scrollTop() > 10) {
                jQuery('html').addClass('header_scrolled');
            } else {
                jQuery('html').removeClass('header_scrolled');
            }
        });
        jQuery('a.photobooth_album_down_arrow').on('click', function () {
            if (jQuery('#wpadminbar').size() > 0) {
                var photobooth_album_featured_height = photobooth_window.height() - jQuery('#wpadminbar').height();
            } else {
                var photobooth_album_featured_height = photobooth_window.height();
            }

            jQuery('html, body').stop().animate({scrollTop: photobooth_album_featured_height + 'px'}, 600);
        });
    }	
});

jQuery(window).load(function () {
	if (jQuery('.photobooth_preview_customizer_nl').size() > 0) {
		setTimeout("jQuery('.photobooth_preview_customizer_nl').removeClass('photobooth_preview_customizer_nl')", 1200);
	}	
	if (jQuery('.photobooth_preloader_wrapper').size() > 0) {
		jQuery('.photobooth_preloader_wrapper').addClass('remove_preloader');
		setTimeout("jQuery('.photobooth_preloader_wrapper').remove()", 600);
	}	
    if (jQuery('.photobooth_image_carousel').size() > 0) {
        jQuery('.photobooth_image_carousel').trigger('refresh.owl.carousel');
    }
    if (jQuery('.photobooth_single_album_head').size() > 0) {
        setup_photobooth_single_album();
    }
    photobooth_theme_setup();
    setTimeout("photobooth_theme_setup()", 500);
});

jQuery(window).resize(function () {
    if (jQuery('.swipebox').size() > 0) {
        if (jQuery.swipebox.isOpen) {
            photobooth_setup_box();
            setTimeout("photobooth_setup_box()", 500);
        }
    }
    if (jQuery('.photobooth_single_album_head').size() > 0) {
        setup_photobooth_single_album();
    }
    photobooth_theme_setup();
});

function photobooth_theme_setup() {
    jQuery(".photobooth_owlCarousel").each(function () {
        jQuery(this).trigger('refresh.owl.carousel');
    });
    if (jQuery('.search_container').size() > 0) {
        if (jQuery('#wpadminbar').size() > 0) {
            var search_min_height = photobooth_window.height() - jQuery('.photobooth_header').height() - jQuery('.photobooth_footer').height() - jQuery('#wpadminbar').height();
        } else {
            var search_min_height = photobooth_window.height() - jQuery('.photobooth_header').height() - jQuery('.photobooth_footer').height();
        }
        jQuery('.search_container').css('min-height', search_min_height + 'px');
    }
    if (jQuery('.photobooth_price_table').size() > 0) {
        jQuery('.photobooth_price_table').each(function () {
            var set_price_width = 100 / jQuery(this).find('.photobooth_price_table_item').size();
            jQuery(this).find('.photobooth_price_table_item').css('width', set_price_width + '%');
        });
    }
    if (jQuery('.photobooth_blog_grid').size() > 0) {
        jQuery('.photobooth_blog_grid').each(function () {
            var set_item_width = 100 / parseInt(jQuery(this).attr('data-inrow'));
            jQuery(this).find('.photobooth_grid_post_wrapper').css('width', set_item_width.toPrecision(3) + '%');
            var setPad = Math.floor(parseInt(jQuery(this).attr('data-setpad')) / 2);
            jQuery(this).css('padding', setPad + 'px');
            jQuery(this).find('.photobooth_grid_post_inner').css({
                'margin-left': setPad + 'px',
                'margin-top': setPad + 'px',
                'margin-right': setPad + 'px',
                'margin-bottom': setPad + 'px'
            });
        });
        if (jQuery('.photobooth_grid_post_loading').size() > 0) {
            jQuery(".photobooth_owlCarousel").on("initialized.owl.carousel", function (e) {
                jQuery(".photobooth_owlCarousel").css("opacity", "1");
            });
            jQuery(".photobooth_owlCarousel").owlCarousel(
                {
                    items: 1,
                    lazyLoad: true,
                    loop: true,
                    autoplay: false,
                    autoplayTimeout: 5000,
                    autoplayHoverPause: true,
                    autoHeight: false
                }
            );
            pm_load_blog_posts();
        }
    }
    if (jQuery('.photobooth_blog_grid_ratio').size() > 0) {
        jQuery('.photobooth_blog_grid_ratio').each(function () {
            var setHeight = Math.floor(jQuery(this).width() * jQuery(this).attr('data-ratio'));
            jQuery(this).height(setHeight);
        });
    }
}

function pm_load_blog_posts() {
    if (jQuery('.photobooth_grid_post_loading').size() > 0) {
        jQuery('.photobooth_grid_post_loading:first').removeClass('photobooth_grid_post_loading').animate({
            'z-index': '3'
        }, 200, function () {
            pm_load_blog_posts();
        });
    }

}
function photobooth_setup_box() {
    var swipe_slider = jQuery('#swipebox-slider'),
        swipe_title = jQuery('#swipebox-top-bar'),
        swipe_bottom = jQuery('#swipebox-bottom-bar'),
        setHeight = 0;
    setHeight = jQuery(window).height() - swipe_title.height() - swipe_bottom.height();
    swipe_slider.height(setHeight).css('top', swipe_title.height());
}

jQuery(document).on("click", "#swipebox-container .slide.current img", function (e) {
    jQuery('#swipebox-next').click();
    e.stopPropagation();
});

jQuery(document).on("click", "#swipebox-container", function (e) {
    jQuery('#swipebox-close').click();
});

function photobooth_ajax_query_posts(photobooth_ajax_query_posts_this, photobooth_ajax_query_posts_first_load) {
    var photobooth_return_to = photobooth_ajax_query_posts_this.attr('data-return-to');
    jQuery('.' + photobooth_return_to).addClass('photobooth_ajax_query_posts_active_preloader');
    var photobooth_ajax_query_posts_data_args = photobooth_ajax_query_posts_this.data('args');
    photobooth_ajax_query_posts_this.removeClass('photobooth_ajax_query_posts').addClass('photobooth_ajax_query_posts_disabled');
    if (photobooth_ajax_query_posts_first_load == true) {
        var photobooth_ajax_query_posts_per_page = parseInt(photobooth_ajax_query_posts_data_args['posts_first_load']);
        var photobooth_ajax_query_posts_per_page_old = photobooth_ajax_query_posts_data_args['posts_per_page'];
        photobooth_ajax_query_posts_data_args['posts_per_page'] = photobooth_ajax_query_posts_per_page;
    } else {
        var photobooth_ajax_query_posts_per_page = parseInt(photobooth_ajax_query_posts_data_args['posts_per_page']);
    }

    jQuery.post(photobooth_ajaxurl, {
        action: 'photobooth_ajax_query_posts',
        photobooth_ajax_query_posts: '' + JSON.stringify(photobooth_ajax_query_posts_data_args) + '',
    }).done(function (data) {
        jQuery('.' + photobooth_return_to).append(data);
        if (photobooth_ajax_query_posts_first_load == true) {
            photobooth_ajax_query_posts_data_args['posts_per_page'] = photobooth_ajax_query_posts_per_page_old;
        }
        photobooth_ajax_query_posts_data_args['offset'] = parseInt(photobooth_ajax_query_posts_data_args['offset']) + photobooth_ajax_query_posts_per_page;
        photobooth_ajax_query_posts_this.attr('data-args', JSON.stringify(photobooth_ajax_query_posts_data_args));
        photobooth_ajax_query_posts_this.addClass('photobooth_ajax_query_posts').removeClass('photobooth_ajax_query_posts_disabled');
        if (photobooth_ajax_query_posts_data_args['ajax_callback_function']) {
            window[photobooth_ajax_query_posts_data_args['ajax_callback_function']]();
        }
        if (data.length < 1) {
            photobooth_ajax_query_posts_this.fadeOut();
        }
        jQuery('.' + photobooth_return_to).removeClass('photobooth_ajax_query_posts_active_preloader');
    });
}
if (jQuery('.photobooth_ajax_query_posts').size() > 0) {
    jQuery('.photobooth_ajax_query_posts').each(function () {
        photobooth_ajax_query_posts(jQuery(this), true);
    });

    jQuery(document).on("click", ".photobooth_ajax_query_posts", function () {
        photobooth_ajax_query_posts(jQuery(this), false);
    });
}

function photobooth_preloader() {
    if (jQuery('.photobooth_split_showcase').size() > 0) {
        //Split Showcase Slides
        if (jQuery('.photobooth_preload_slide:first').size() > 0) {
            (function (img, src) {
                img.src = src;
                img.onload = function () {
                    jQuery('.photobooth_preload_slide:first').removeClass('photobooth_preload_slide').addClass('photobooth_slide_loaded').animate({
                        'z-index': '15'
                    }, 100, function () {
                        photobooth_preloader();
                    });
                };
            }(new Image(), jQuery('.photobooth_preload_slide:first').attr('data-src')));
        } else {
            photobooth_split_gallery.removeClass('wait4load');
        }

        if ((jQuery('.photobooth_odd_slide1').hasClass('photobooth_slide_loaded') && jQuery('.photobooth_even_slide1').hasClass('photobooth_slide_loaded')) && !photobooth_split_gallery.hasClass('started')) {
            run_photobooth_split_slider();
        }
    }

    if (jQuery('.photobooth_ribbon_slider_wrapper').size() > 0) {
        //Ribbon Slides
        if (jQuery('.photobooth_preload_slide:first').size() > 0) {
            (function (img, src) {
                img.src = src;
                img.onload = function () {
                    jQuery('.photobooth_preload_slide:first').removeClass('photobooth_preload_slide').addClass('photobooth_slide_loaded').animate({
                        'z-index': '15'
                    }, 100, function () {
                        photobooth_preloader();
                    });
                };
            }(new Image(), jQuery('.photobooth_preload_slide:first').find('img').attr('src')));
        } else {
            photobooth_ribbon_slider.removeClass('wait4load');
        }

        if (jQuery('.photobooth_ribbon_slide1').hasClass('photobooth_slide_loaded') && !photobooth_ribbon_slider.hasClass('started')) {
            run_photobooth_ribbon_slider();
        }
    }

    if (jQuery('.photobooth_fullscreen_slider').size() > 0) {
        //Fullscreen Slideshow Slides
        if (jQuery('.photobooth_preload_slide:first').size() > 0) {
            (function (img, src) {
                img.src = src;
                img.onload = function () {
                    jQuery('.photobooth_preload_slide:first').removeClass('photobooth_preload_slide').addClass('photobooth_slide_loaded').animate({
                        'z-index': '15'
                    }, 100, function () {
                        photobooth_preloader();
                    });
                };
            }(new Image(), jQuery('.photobooth_preload_slide:first').attr('data-src')));
        } else {
            photobooth_fullscreen_slider.removeClass('wait4load');
        }

        if ((jQuery('.photobooth_fullscreen_slide1').hasClass('photobooth_slide_loaded')) && !photobooth_fullscreen_slider.hasClass('started')) {
            run_photobooth_fullscreen_slider();
        }
    }
}

function photobooth_albums_preload() {
    jQuery('.photobooth_album_post_loading:first')
    if (jQuery('.photobooth_album_post_loading').size() > 0) {
        //Fullscreen Slideshow Slides
        if (jQuery('.photobooth_album_post_loading:first').size() > 0) {
            (function (img, src) {
                img.src = src;
                img.onload = function () {
                    jQuery('.photobooth_album_post_loading:first').removeClass('photobooth_album_post_loading').animate({
                        'z-index': '15'
                    }, 200, function () {
                        photobooth_albums_preload();
                    });
                };
            }(new Image(), jQuery('.photobooth_album_post_loading:first').find('img').attr('src')));
        }
    }
}

function photobooth_albums_listing_setup() {
    photobooth_albums_preload();
}

function setup_photobooth_single_album() {
    if (jQuery('#wpadminbar').size() > 0) {
        var photobooth_album_featured_height = photobooth_window.height() - jQuery('#wpadminbar').height();
    } else {
        var photobooth_album_featured_height = photobooth_window.height();
    }

    jQuery('.photobooth_single_album_head').css('margin-top', -1 * jQuery('header.photobooth_header').height() + 'px').height(photobooth_album_featured_height);
}