<?php
/*
 * Created by Pixel-Mafia
 * www.pixel-mafia.com
 * Template Name: Albums Listing
*/
if (!post_password_required()) {
	
	the_post();
	get_header();
	$posts_first_load = photobooth_get_post_option('photobooth_albums_on_start');
	$items_per_load = photobooth_get_post_option('photobooth_albums_per_load');
	$button_title = photobooth_get_post_option('photobooth_load_more_text');
	$categs = photobooth_get_post_option('photobooth_albums_taxonomy');
	
	$selected_categories = '';
	
	if (isset($categs) && !empty($categs)) {
		foreach ($categs as $item) {
			$selected_categories .= $item->term_id . ',';
		}
	}
	$post_type_terms = array();
	if (isset($selected_categories) && strlen($selected_categories) > 0) {
		$selected_categories = substr($selected_categories, 0, -1);
		$post_type_terms = explode(",", $selected_categories);
	}

	$args = array(
		'post_type' => 'albums',
		'post_status' => 'publish',
		'posts_per_page' => absint($posts_first_load),
		'paged' => -1,
		'tax_query' => array(
			'taxonomy' => 'albumscat',
			'field' => 'id',
			'terms' => $post_type_terms			
		)
	);

	$args['tax_query'] = array(
		array(
			'taxonomy' => 'albumscat',
			'field' => 'id',
			'terms' => $post_type_terms
		)
	);

	if (function_exists('icl_object_id')) {
		$photobooth_wpml_array = wpml_get_language_information(get_the_id());
		$photobooth_lang = $photobooth_wpml_array['language_code'];
		$set_query_args = '{"output_template" : "albums_listing_template", "ajax_callback_function" : "photobooth_albums_listing_setup", "post_type" : "albums", "post_status" : "publish", "posts_first_load" : '. $posts_first_load .', "posts_per_page" : '. $items_per_load .', "offset" : 0, "taxonomy" : "albumscat", "field" : "id", "terms" : "' . $selected_categories . '", "lang" : "'. $photobooth_lang .'"}';
	} else {		
		$set_query_args = '{"output_template" : "albums_listing_template", "ajax_callback_function" : "photobooth_albums_listing_setup", "post_type" : "albums", "post_status" : "publish", "posts_first_load" : '. $posts_first_load .', "posts_per_page" : '. $items_per_load .', "offset" : 0, "taxonomy" : "albumscat", "field" : "id", "terms" : "' . $selected_categories . '"}';
	}
	
	?>
			<div class="photobooth_albums_listing_wrapper">
				<div class="photobooth_albums_listing_inner">
				</div>
			</div>
	<?php
	$html = '
	<div class="albums_listing_loadmore_wrapper">
		<a class="photobooth_albums_load_more photobooth_button photobooth_ajax_query_posts" data-args=\''. $set_query_args .'\' data-return-to="photobooth_albums_listing_inner" href="'. esc_js("javascript:void(0)") .'">' . esc_attr($button_title) . '</a>
	</div>
	';
	
	echo photobooth_output($html);
	
	get_footer();
} else {
    get_header('gallery');
	photoboothHelper::getInstance()->addJSToFooter('protected_page', '
		jQuery("html").addClass("photobooth_transparent_header photobooth_height_100");
		jQuery("body").css("background-image", "url(' . photobooth_get_theme_mod('protected_bg_image') . ')").addClass("photobooth_password_protected");
	');
    ?>

    <div class="photobooth_password_container">
        <div class="photobooth_password_form container">
            <?php the_content(); ?>
        </div>
    </div>

    <?php
    get_footer('empty');
}