<?php
/*
 * Created by Pixel-Mafia
 * www.pixel-mafia.com
 * Template Name: Fullscreen SlideShow
*/
if (!post_password_required()) {
	
	the_post();
	get_header();
	$autoplay = 'no';
	$interval = '';
	$photobooth_fit_style = photobooth_get_post_option('photobooth_slider_fit_style');
	$photobooth_nav_style = photobooth_get_post_option('photobooth_slider_nav_style');
	$thmb_html = '';
	
	if (photobooth_get_post_option('photobooth_slider_autoplay') == 'yes') {
		$autoplay = 'yes';
		if (photobooth_get_post_option('photobooth_slider_interval') !== '' && photobooth_get_post_option('photobooth_slider_interval') > 0) {
			$interval = photobooth_get_post_option('photobooth_slider_interval');
		}
	}
	?>
			<div class="photobooth_fullscreen_slider_wrapper">
				<div class="photobooth_fullscreen_slider fade wait4load <?php echo esc_attr($photobooth_fit_style); ?>" data-nav="<?php echo esc_attr($photobooth_nav_style); ?>" data-autoplay="<?php echo esc_attr($autoplay); ?>" data-interval="<?php echo esc_attr($interval); ?>">
					<?php
					$counter = 0;
					if (is_array(photobooth_get_post_option('photobooth_template_images'))) {
						foreach (photobooth_get_post_option('photobooth_template_images') as $key => $image) {
							$counter++;
							$photoTitle = $image['caption'];
							$photoCaption = $image['description'];
							$photoAlt = $image['alt'];
							$PCREpattern = '/\r\n|\r|\n/u';
							$photoCaption = preg_replace($PCREpattern, '', nl2br($photoCaption));
							?>
							<div class="photobooth_fullscreen_slide photobooth_fullscreen_slide<?php echo esc_attr($counter); ?> photobooth_preload_slide" data-count="<?php echo esc_attr($counter); ?>"
								data-title = "<?php echo esc_attr($photoTitle); ?>" 
								data-descr = "<?php echo esc_attr($photoCaption); ?>"
								data-src = "<?php echo esc_url($image['full_url']); ?>">
							</div>
							<?php
							$thmb_html .= '
								<div class="photobooth_fullscreen_thmb photobooth_fullscreen_thmb'.esc_attr($counter)  .'" data-count="'. esc_attr($counter) .'">
									<img src="'. aq_resize(esc_url($image['full_url']), '160', '160', true, true, true) .'" alt="'. esc_attr($photoAlt) .'"/>
								</div>
							';
						}
					}
					?>
				</div>
				<div class="photobooth_slideshow_title_wrapper">
					<h2 class="photobooth_slideshow_title">&nbsp;</h2>
					<div class="photobooth_slideshow_caption">&nbsp;</div>
				</div>
				<?php if (photobooth_get_post_option('photobooth_slider_autoplay') == 'yes' && (photobooth_get_post_option('photobooth_slider_interval') !== '' && photobooth_get_post_option('photobooth_slider_interval') > 0)) {?>
					<a href="<?php echo esc_js("javascript:void(0)"); ?>" class="photobooth_fullscreen_play_pause"></a>
				<?php } ?>
				<?php if ($photobooth_nav_style == 'arrows') { ?>
					<a href="<?php echo esc_js("javascript:void(0)"); ?>" class="photobooth_fullscreen_slider_prev"></a>
					<a href="<?php echo esc_js("javascript:void(0)"); ?>" class="photobooth_fullscreen_slider_next"></a>
					<a href="<?php echo esc_js("javascript:void(0)"); ?>" class="photobooth_fullscreen_controls_toggler"></a>
				<?php } ?>
				<?php if ($photobooth_nav_style == 'thumbs') { ?>
					<div class="photobooth_fullscreen_thumbs_wrapper">
						<?php echo photobooth_output($thmb_html); ?>
					</div>
				<?php } ?>
			</div>
	<?php
	
	get_footer('empty');
} else {
    get_header('gallery');
	photoboothHelper::getInstance()->addJSToFooter('protected_page', '
		jQuery("html").addClass("photobooth_transparent_header photobooth_height_100");
		jQuery("body").css("background-image", "url(' . photobooth_get_theme_mod('protected_bg_image') . ')").addClass("photobooth_password_protected");
	');
    ?>

    <div class="photobooth_password_container">
        <div class="photobooth_password_form container">
            <?php the_content(); ?>
        </div>
    </div>

    <?php
    get_footer('empty');
}