<?php
/*
 * Created by Pixel-Mafia
 * www.pixel-mafia.com
 * Template Name: Split Showcase
*/

if (!post_password_required()) {

	the_post();
	get_header();
	
	?>
    <div class="photobooth_split_showcase_wrapper">
        <div class="photobooth_split_showcase wait4load">
            <?php 
            $photobooth_base_count = 1;
            $photobooth_right_count = 1;
            $photobooth_left_count = 1;
            if (is_array(photobooth_get_post_option('photobooth_template_images'))) {
                foreach (photobooth_get_post_option('photobooth_template_images') as $key => $image) {
                    $photoTitle = $image['caption'];
                    $photoCaption = $image['description'];
                    $photoAlt = $image['alt'];
                    $PCREpattern = '/\r\n|\r|\n/u';
                    $photoCaption = preg_replace($PCREpattern, '', nl2br($photoCaption));

                    if(($photobooth_base_count % 2) == 0){
                        $photobooth_slide_class = 'photobooth_right_slide'.$photobooth_right_count;
                        $photobooth_slide_style = 'photobooth_right_slide';
                        $photobooth_data_count = $photobooth_right_count;
                        $photobooth_right_count++;
                    } else {
                        $photobooth_slide_class = 'photobooth_left_slide'.$photobooth_left_count;
                        $photobooth_slide_style = 'photobooth_left_slide';
                        $photobooth_data_count = $photobooth_left_count;
                        $photobooth_left_count++;
                    }
                    $photobooth_base_count++;
                    ?>
                    <div class="photobooth_split_slide photobooth_preload_slide <?php echo esc_attr($photobooth_slide_class) . ' ' . esc_attr($photobooth_slide_style); ?> photobooth_js_bg_image" data-count="<?php echo esc_attr($photobooth_data_count); ?>" data-src="<?php echo esc_url($image['full_url']); ?>">
                        <div class="photobooth_split_title_wrapper">
                            <h2 class="photobooth_split_title"><?php echo photobooth_output($photoTitle); ?></h2>
                            <div class="photobooth_split_caption"><?php echo photobooth_output($photoCaption); ?></div>                                
                        </div>
                        <a class="swipebox" href="<?php echo esc_url($image['full_url']); ?>" title="<?php echo esc_attr($photoTitle); ?>"></a>
                        <div class="photobooth_split_overlay"></div>
                    </div>                        
                    <?php						
                }
            }
            ?>
        </div>
        <a href="<?php echo esc_js("javascript:void(0)"); ?>" class="photobooth_split_btn_prev"></a>
        <a href="<?php echo esc_js("javascript:void(0)"); ?>" class="photobooth_split_btn_next"></a>
    </div>
	<?php
	
	get_footer('empty');
} else {
    get_header('gallery');
	photoboothHelper::getInstance()->addJSToFooter('protected_page', '
		jQuery("html").addClass("photobooth_transparent_header photobooth_height_100");
		jQuery("body").css("background-image", "url(' . get_theme_mod('protected_bg_image', get_template_directory_uri() . '/img/null.png') . ')").addClass("photobooth_password_protected");
	');
    ?>

    <div class="photobooth_password_container">
        <div class="photobooth_password_form container">
            <?php the_content(); ?>
        </div>
    </div>

    <?php
    get_footer('empty');
}