<?php
/*
 * Created by Pixel-Mafia
 * www.pixel-mafia.com
*/

if (!post_password_required()) {
	the_post();
	get_header();
	
	$galCateg = '';
	$new_term_list = get_the_terms(get_the_id(), "albumscat");
	if (is_array($new_term_list)) {
		foreach ($new_term_list as $term) {
			$galCateg .= $term->name . " / ";
		}
	} else {
		$galCateg = 'Uncategorized  ';
	}
	$galCateg = substr($galCateg, 0, -2);
	
	$layout_style = photobooth_get_post_option('photobooth_albums_images_layout');
	
	if($layout_style == '3x2') {
		$img_width = 915;
		$img_height = 600;
	}
	
	?>
		<div class="photobooth_single_album_head photobooth_js_bg_image" data-src="<?php echo photobooth_get_featured_image_url(); ?>">
			<div class="photobooth_single_album_title">
				<h1><?php the_title(); ?></h1>
				<div class="entry-meta"><?php echo photobooth_output($galCateg); ?></div>
			</div>
			<a href="<?php echo esc_js("javascript:void(0)"); ?>" class="photobooth_album_down_arrow"></a>
		</div>
		<div class="photobooth_single_album_images_wrapper layout_<?php echo photobooth_output($layout_style); ?>">
			<div class="photobooth_single_album_images_inner">
				<?php 
					if (is_array(photobooth_get_post_option('photobooth_albums_images'))) {
						$img_count_style = 0;
						foreach (photobooth_get_post_option('photobooth_albums_images') as $key => $image) {
							$img_count_style++;
							if($layout_style == '2x1') {
								if ($img_count_style > 3) {
									$img_count_style = 1;
								}
								if ($img_count_style == 3) {
									$img_width = 1920;
									$img_height = 1032;
								} else {
									$img_width = 960;
									$img_height = 630;
								}
							}
							if($layout_style == '3x2' && $img_count_style > 5) {
								$img_count_style = 1;
							}
							$photoTitle = $image['caption'];
							$photoCaption = $image['description'];
							$photoAlt = $image['alt'];
							$PCREpattern = '/\r\n|\r|\n/u';
							$photoCaption = preg_replace($PCREpattern, '', nl2br($photoCaption));
							?>
							<div class="photobooth_single_album_image photobooth_single_album_img_style<?php echo photobooth_output($img_count_style); ?>">
								<div class="photobooth_single_album_image_inner">
									<a class="swipebox photobooth_image_fader" href="<?php echo esc_url($image['full_url']); ?>" title="<?php echo esc_attr($photoTitle); ?>">
										<img src="<?php echo aq_resize(esc_url($image['full_url']), $img_width, $img_height, true, true, true); ?>" alt="<?php echo esc_attr($photoAlt); ?>"/>
									</a>
								</div>
							</div>
							<?php
						}
					}			
				?>
			</div>
		</div>
		<?php
			$photobooth_post_classes = array(
				'container',
				photobooth_get_post_option('header_padding', 'photobooth_header_padding_yes')
			);
		?>	
		<div id="post-<?php the_ID(); ?>" <?php post_class($photobooth_post_classes); ?>>
			<div class="row photobooth_no_sidebar">
				<div
					class="col-md-12">
					<div class="photobooth_tiny_albums">
						<?php the_content(); ?>
					</div>
	
					<div class="photobooth_delim photobooth_album_delim"></div>
				</div>
			</div>
		</div>
	
		<?php
		photobooth_featured_albums(array(
			'orderby' => photobooth_get_prefered_option('featured_posts_orderby'),
			'numberposts' => photobooth_get_prefered_option('featured_posts_numberposts'),
			'featured_image' => photobooth_get_prefered_option('featured_posts_fimage_status')
		));
		?>
		
		<?php
	
	get_footer();
} else {
    get_header('gallery');
	photoboothHelper::getInstance()->addJSToFooter('protected_page', '
		jQuery("html").addClass("photobooth_transparent_header photobooth_height_100");
		jQuery("body").css("background-image", "url(' . photobooth_get_theme_mod('protected_bg_image') . ')").addClass("photobooth_password_protected");
	');
    ?>

    <div class="photobooth_password_container">
        <div class="photobooth_password_form container">
            <?php the_content(); ?>
        </div>
    </div>

    <?php
    get_footer('empty');
}