<?php
/*
Plugin Name: Pixel-Mafia Photobooth Custom Post Types
Plugin URI: http://www.pixel-mafia.com
Description: Register Photobooth Custom Post Types.
Version: 1.2
Author: Pixel-Mafia
Author URI: http://www.pixel-mafia.com
*/

function photobooth_custom_post_types()
{
	$photobooth_albums_name = esc_attr(get_theme_mod('albums_pt_name', 'Albums'));
	$photobooth_albums_slug = esc_attr(get_theme_mod('albums_pt_slug', 'albums'));
    # Albums
    register_post_type('albums', array(
            'label' => $photobooth_albums_name,
            'public' => true,
            'show_ui' => true,
            'show_in_nav_menus' => true,
            'rewrite' => array(
                'slug' => $photobooth_albums_slug,
                'with_front' => false
            ),
            'hierarchical' => true,
            'menu_position' => 4,
            'supports' => array(
                'title',
                'thumbnail',
				'editor'
            )
        )
    );
	register_taxonomy('albumscat', 'albums', array('hierarchical' => true, 'label' => 'Category', 'singular_name' => 'Category'));
}

add_action('init', 'photobooth_custom_post_types');

if (!function_exists('photobooth_load_widgets')) 
{
	function photobooth_load_widgets() 
	{
		require_once(__DIR__ . "/widgets/featured-gallery-posts.php");
		require_once(__DIR__ . "/widgets/featured-posts.php");
		require_once(__DIR__ . "/widgets/text-table.php");
	}
}
add_action('plugins_loaded', 'photobooth_load_widgets');

if (!function_exists('photobooth_add_widget')) 
{
	function photobooth_add_widget($name) 
	{
		register_widget($name);
	}
}